# created with git log --stat=76 -M -C -500|fmt -sct -w80

commit 7d4f52b23922ff36a97eb90e4a618110f5c2c66f
Merge: 30d53d96 848cd242
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 7 00:58:04 2019 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 848cd2420ee1d818c1c668d255d0484fb35c140d
Merge: 17130943 c6137fcf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 7 00:40:14 2019 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit c6137fcf7296da52122d5b504c0494cd58a2f4c2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 7 00:39:15 2019 +0200

    update po files

 po/ar.po     | 35 ++++++++++++++-------------
 po/be.po     | 35 ++++++++++++++-------------
 po/bg.po     | 35 ++++++++++++++-------------
 po/ca.po     | 47 ++++++++++++++++++------------------
 po/cs.po     | 39 +++++++++++++++---------------
 po/da.po     | 35 ++++++++++++++-------------
 po/de.po     | 39 +++++++++++++++---------------
 po/el.po     | 35 ++++++++++++++-------------
 po/en.po     | 34 +++++++++++++-------------
 po/es.po     | 35 ++++++++++++++-------------
 po/fi.po     | 35 ++++++++++++++-------------
 po/fr.po     | 35 ++++++++++++++-------------
 po/he.po     | 35 ++++++++++++++-------------
 po/hr.po     | 34 +++++++++++++-------------
 po/hu.po     | 37 +++++++++++++++--------------
 po/icewm.pot | 34 +++++++++++++-------------
 po/id.po     | 35 ++++++++++++++-------------
 po/it.po     | 35 ++++++++++++++-------------
 po/ja.po     | 72 +++++++++++++++++++++++++++++++++-----------------------
 po/ko.po     | 35 ++++++++++++++-------------
 po/lt.po     | 35 ++++++++++++++-------------
 po/lv.po     | 35 ++++++++++++++-------------
 po/mk.po     | 35 ++++++++++++++-------------
 po/nb.po     | 35 ++++++++++++++-------------
 po/nl.po     | 39 +++++++++++++++---------------
 po/no.po     | 35 ++++++++++++++-------------
 po/pl.po     | 35 ++++++++++++++-------------
 po/pt_BR.po  | 39 +++++++++++++++---------------
 po/ro.po     | 35 ++++++++++++++-------------
 po/ru.po     | 35 ++++++++++++++-------------
 po/sk.po     | 39 +++++++++++++++---------------
 po/sl.po     | 35 ++++++++++++++-------------
 po/sv.po     | 35 ++++++++++++++-------------
 po/tr.po     | 35 ++++++++++++++-------------
 po/uk.po     | 35 ++++++++++++++-------------
 po/vi.po     | 35 ++++++++++++++-------------
 po/zh_CN.po  | 35 ++++++++++++++-------------
 po/zh_TW.po  | 35 ++++++++++++++-------------
 38 files changed, 722 insertions(+), 676 deletions(-)

commit 17130943253b82ee8637c403258d4540db30de0f
Merge: 9275186b 3bf1d504
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 7 00:37:26 2019 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 3bf1d5046e74e27f264cfd724cbb47b37ef89061
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Jun 7 00:35:19 2019 +0200

    icesh monitor number

 man/icesh.pod | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit dbe56fe706af5e2bbf008e493f07e19f102e1128
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jun 5 06:40:37 2019 +0200

    icesh missing bits.

 man/icesh.pod     |  46 +++-
 man/icewmhint.pod |   8 +-
 src/icesh.cc      | 638 +++++++++++++++++++++++++++++++++++++-------------
 3 files changed, 525 insertions(+), 167 deletions(-)

commit 48394080fd4edabf8f36509cdb3f1db2f8c549aa
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Sun Jun 2 08:50:24 2019 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (459 of 459 strings)

 po/de.po | 74 ++++++------------------------------------------------------
 1 file changed, 7 insertions(+), 67 deletions(-)

commit b7eabae9ee10aa66164a930f7fe87cdd4311923f
Author: Rodrigo Macedo <rmsolucoeseminformatic4@gmail.com>
Date:   Tue May 28 11:57:53 2019 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (459 of 459 strings)

 po/pt_BR.po | 70 +++++----------------------------------------------------
 1 file changed, 5 insertions(+), 65 deletions(-)

commit bf42fba0d3dba21f198caee1afacdcee1465d193
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Sun May 26 21:26:26 2019 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (459 of 459 strings)

 po/nl.po | 72 +++++-------------------------------------------------------
 1 file changed, 6 insertions(+), 66 deletions(-)

commit 22f87aaa97ced4cfa7539cf009f8aad678cbde06
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sat May 25 16:09:02 2019 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (459 of 459 strings)

 po/sk.po | 71 +++++-------------------------------------------------------
 1 file changed, 6 insertions(+), 65 deletions(-)

commit aab3d78f4a9cb027b3b6b43774ec9fec461a0061
Author: David Medina <medipas@gmail.com>
Date:   Sat May 25 08:43:13 2019 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (459 of 459 strings)

 po/ca.po | 80 ++++++++----------------------------------------------------
 1 file changed, 10 insertions(+), 70 deletions(-)

commit d81c0bcc3126b6e565a54b7e4d0326feceffc036
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Fri May 24 22:45:17 2019 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (459 of 459 strings)

 po/ja.po | 102 ++++++++++-------------------------------------------------
 1 file changed, 16 insertions(+), 86 deletions(-)

commit 1123543c74aa24591e6b0458a04a8e3b682d0ee1
Author: Aleš Kastner <alkas@volny.cz>
Date:   Fri May 24 19:58:47 2019 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (459 of 459 strings)

 po/cs.po | 72 +++++-------------------------------------------------------
 1 file changed, 6 insertions(+), 66 deletions(-)

commit db0f894e4e1490ee5aba68baeff42e80f80f8372
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu May 23 07:56:08 2019 +0200

    icesh clarify

 man/icesh.pod | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 4f337ccd8631f01f68602056eefb76210311d482
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 21 22:57:22 2019 +0200

    update po files.

 po/ar.po     | 536 ++++++++++++++++++++++++++---------------------
 po/be.po     | 458 ++++++++++++++++++++--------------------
 po/bg.po     | 459 ++++++++++++++++++++--------------------
 po/ca.po     | 570 +++++++++++++++++++++++++++-----------------------
 po/cs.po     | 542 +++++++++++++++++++++++++----------------------
 po/da.po     | 549 ++++++++++++++++++++++++++----------------------
 po/de.po     | 554 ++++++++++++++++++++++++++----------------------
 po/el.po     | 577 +++++++++++++++++++++++++++-----------------------
 po/en.po     | 272 ++++++++----------------
 po/es.po     | 553 ++++++++++++++++++++++++++----------------------
 po/fi.po     | 452 ++++++++++++++++++++-------------------
 po/fr.po     | 562 ++++++++++++++++++++++++++-----------------------
 po/he.po     | 356 +++++++++++++++----------------
 po/hr.po     | 280 ++++++++-----------------
 po/hu.po     | 562 ++++++++++++++++++++++++++-----------------------
 po/icewm.pot | 274 ++++++++----------------
 po/id.po     | 581 +++++++++++++++++++++++++--------------------------
 po/it.po     | 559 ++++++++++++++++++++++++++-----------------------
 po/ja.po     | 578 +++++++++++++++++++++++++++-----------------------
 po/ko.po     | 524 +++++++++++++++++++++++++---------------------
 po/lt.po     | 443 +++++++++++++++++++--------------------
 po/lv.po     | 455 ++++++++++++++++++++--------------------
 po/mk.po     | 471 ++++++++++++++++++++---------------------
 po/nb.po     | 443 +++++++++++++++++++--------------------
 po/nl.po     | 560 +++++++++++++++++++++++++++----------------------
 po/no.po     | 443 +++++++++++++++++++--------------------
 po/pl.po     | 538 +++++++++++++++++++++++++----------------------
 po/pt_BR.po  | 559 +++++++++++++++++++++++++++----------------------
 po/ro.po     | 446 +++++++++++++++++++--------------------
 po/ru.po     | 556 ++++++++++++++++++++++++++----------------------
 po/sk.po     | 541 +++++++++++++++++++++++++----------------------
 po/sl.po     | 458 ++++++++++++++++++++--------------------
 po/sv.po     | 544 +++++++++++++++++++++++++----------------------
 po/tr.po     | 456 ++++++++++++++++++++--------------------
 po/uk.po     | 627 ++++++++++++++++++++++++++++++-------------------------
 po/vi.po     | 455 ++++++++++++++++++++--------------------
 po/zh_CN.po  | 513 ++++++++++++++++++++++++---------------------
 po/zh_TW.po  | 520 ++++++++++++++++++++++++---------------------
 38 files changed, 9710 insertions(+), 9116 deletions(-)

commit 0bc1d67418a75c6e1db1993f118922113cafe8e1
Merge: 83e8e152 e6d3be4e
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Tue May 21 15:55:09 2019 +0000

    Merge branch 'origin/icewm-1-4-BRANCH' into Weblate

commit e6d3be4eba659fb8f76c4a99772f9cc6dc96549d
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Sat May 18 22:05:44 2019 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (468 of 468 strings)

 po/da.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 83e8e1520f1aeed022401390f2f58e885d6c724b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 20 22:28:56 2019 +0200

    icesh urgent, move frame, center, left, right, top, bottom.

 man/icesh.pod |  61 ++++++++++++-------
 src/icesh.cc  | 176 ++++++++++++++++++++++++++++++++++++++++--------------
 2 files changed, 169 insertions(+), 68 deletions(-)

commit aee9b0350568ec8246ba72ce5343cceb135213cc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 19 15:07:06 2019 +0200

    prefer clang for cmake testing

 rebuild.sh | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit f8456d0ea631b37e4754ee981aca2cf62786b4c1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 19 15:06:00 2019 +0200

    fix clang warning

 src/icesh.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 714f6a31583fc5f931fe08d6c496a17610f8638d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 19 10:58:07 2019 +0200

    icesh flexible filtering.

 man/icesh.pod | 125 +++++++------
 src/icesh.cc  | 535 ++++++++++++++++++++++++++++--------------------------
 2 files changed, 347 insertions(+), 313 deletions(-)

commit 0849fcabe35cb1b1c91e82fbe71f0836f7f0cdae
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 18 07:51:17 2019 +0200

    Add -machine option. Add the "this" workspace.  Fix window titles and
    icon titles and support EWMH. Fix -window root and -window focus.
    Also print workspace name for "getWorkspace".
    Also print PID and workspace for window details.

 man/icesh.pod |  19 +++--
 src/icesh.cc  | 228 ++++++++++++++++++++++++++++++++++--------------------
 2 files changed, 156 insertions(+), 91 deletions(-)

commit c2f53e08969040bb11606f018e4d3740dfd2050f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 14 21:49:51 2019 +0200

    prevent warning.

 src/ymsgbox.cc | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 844f92ba67806e33efe56d1e03c56683b88a3c5f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue May 14 21:49:19 2019 +0200

    fix compilation for C++11 and older.

 src/ref.h | 4 ++++
 1 file changed, 4 insertions(+)

commit e07825fe5fa6067a0d30dc0f27c00ea811723418
Merge: 10a14f0b 73d3985f
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Tue May 14 14:45:48 2019 +0000

    Merge branch 'origin/icewm-1-4-BRANCH' into Weblate

commit 73d3985f13cc18d22889fc594d967c795e3914bb
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Thu May 9 10:19:38 2019 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (468 of 468 strings)

 po/nl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ec4ada77ed171ac3cebcdb6c5731dd58fc4acae5
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Tue May 7 19:34:10 2019 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (468 of 468 strings)

 po/da.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit fc9ce85926a8f866821b5352090bf84371b949b1
Author: mohammad alhargan <malham1@gmail.com>
Date:   Mon May 13 21:30:43 2019 +0000

    Translated using Weblate (Arabic)

    Currently translated at 100.0% (468 of 468 strings)

 po/ar.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 10a14f0b5b1b379f3752111c11a40ee9fb462dca
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 13 21:57:17 2019 +0200

    better icesh

 src/icesh.cc | 381 +++++++++++++++++++++++++++++++------------------------
 1 file changed, 215 insertions(+), 166 deletions(-)

commit 4d72354c383b5233137779f639334065a134d6a3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon May 13 21:56:16 2019 +0200

    +isSign

 src/ascii.h | 5 +++++
 1 file changed, 5 insertions(+)

commit 03145fe1add72c0932090547bdfee01abd78f085
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 11 08:43:21 2019 +0200

    backwards support for nullptr.

 src/base.h | 3 +++
 1 file changed, 3 insertions(+)

commit b2a113109961a8d0f6ef37038ff275d6ab991e22
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 10 20:53:53 2019 +0200

    add order and opacity to icewmhint.

 man/icewmhint.pod | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 96ab761229a5ccff90ecd906667275c650ef1eda
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri May 10 20:52:35 2019 +0200

    CMake external systray is unsupported.

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 77e8dff3ffb98a0443cfbffd3e5d4f10a8d5a687
Merge: 8d04dd9b 2ad9b4b0
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Mon May 6 23:24:20 2019 +0000

    Merge branch 'origin/icewm-1-4-BRANCH' into Weblate

commit 2ad9b4b087ec1d998da5b1fe45c0a5626eeb9903
Author: Rodrigo Macedo <rmsolucoeseminformatic4@gmail.com>
Date:   Sat May 4 21:12:25 2019 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (468 of 468 strings)

 po/pt_BR.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ea0a38ebdfb4c61ebe6e9775ed3e9a190d9ee2a1
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Sat May 4 22:46:39 2019 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (468 of 468 strings)

 po/ja.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 04aa7368771c9f617afca64cac5fc6265c16a524
Author: David Medina <medipas@gmail.com>
Date:   Sun May 5 11:48:03 2019 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (468 of 468 strings)

 po/ca.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8d04dd9b2d49b840068740505cea29623f616e09
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 5 23:22:23 2019 +0200

    currentWorkspace

 src/icesh.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit b305a95d770efa3fdfbebe573a36ebcc538a978e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun May 5 21:36:26 2019 +0200

    update. explain opacity.

 man/icewm-menu-fdo.pod | 13 +++++++--
 man/icewm.pod          | 72 ++++++++++++++++++++++++++++++----------------
 2 files changed, 59 insertions(+), 26 deletions(-)

commit 4335942fa9aaed23fc3bd58e2be802210dea5f71
Merge: 7b9d539c 0b7cb7c9
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Sat May 4 15:44:22 2019 +0000

    Merge branch 'origin/icewm-1-4-BRANCH' into Weblate

commit 0b7cb7c9133b71f12d3ab4bac14c8dd101e74b3c
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Fri May 3 14:10:27 2019 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (468 of 468 strings)

 po/sk.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit b1ba3d9473f30eeffbbb157ebe0584cd30aa1796
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Fri May 3 17:22:26 2019 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (468 of 468 strings)

 po/de.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit eae2564cde68b30f083c8c0613676f20e4b56248
Author: Aleš Kastner <alkas@volny.cz>
Date:   Fri May 3 14:02:49 2019 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (468 of 468 strings)

 po/cs.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 7b9d539c87efae0a72d18e98614ec2e6e82445b9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 4 09:54:43 2019 +0200

    Update icewm(1) man page.

 man/icewm.pod | 25 ++++++++++---------------
 1 file changed, 10 insertions(+), 15 deletions(-)

commit 2c0c176326a83b0626c00673360e1e468ef2b92c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 4 09:54:28 2019 +0200

    More icesh commands.

 man/icesh.pod | 152 ++++++++++++++-------
 src/icesh.cc  | 394 ++++++++++++++++++++++++++++++++++++++----------------
 2 files changed, 381 insertions(+), 165 deletions(-)

commit d5f710985255e19668d3edc36f3a4bd9f9802086
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 4 09:52:19 2019 +0200

    Fix compiler warnings, prefer size_t over int, prefer nullptr over 0.

 src/mstring.cc  | 99 ++++++++++++++++++++++-------------------------------
 src/mstring.h   | 26 +++++---------
 src/wmclient.cc |  6 ++--
 3 files changed, 53 insertions(+), 78 deletions(-)

commit ba1752901816bbae47016b919f5fb6779537bdfb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat May 4 09:51:30 2019 +0200

    Drop support for EsounD.

 configure.ac          |  13 +---
 man/icesound.pod      |  23 ++-----
 src/CMakeLists.txt    |  13 +---
 src/config.cmake.h.in |   1 -
 src/icesound.cc       | 157 ----------------------------------------------
 src/wmapp.cc          |   3 -
 6 files changed, 8 insertions(+), 202 deletions(-)

commit 8b7a3f8c6304966b6dba221bedba7a045d2e6a45
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed May 1 21:34:56 2019 +0200

    improve icesh

 man/icesh.pod | 38 +++++++++++++++++++++++++-------------
 src/icesh.cc  | 44 ++++++++++++++++++++++++++++++++++++++------
 2 files changed, 63 insertions(+), 19 deletions(-)

commit 5e601d69b7eda1647087d99978a1dcafc0e1fa3e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 28 20:10:41 2019 +0200

    correction

 src/ymenu.cc | 1 +
 1 file changed, 1 insertion(+)

commit 999d950bffa665a2d6e92868cabe5e90f560beb9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 28 15:55:02 2019 +0200

    Add opacity to winoptions.

 man/icewm-winoptions.pod | 5 +++++
 src/wmmgr.cc             | 8 ++++++++
 src/wmoption.cc          | 8 +++++++-
 src/wmoption.h           | 1 +
 4 files changed, 21 insertions(+), 1 deletion(-)

commit 9adf16d67e4a10800fcface98fdc05050741d00e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 28 15:53:37 2019 +0200

    Set WM_CLASS and window type on icewm windows.

 src/wmdialog.cc  |  4 ++++
 src/wmstatus.cc  |  2 ++
 src/wmswitch.cc  |  2 ++
 src/wmtaskbar.cc |  5 ++++-
 src/wmwinlist.cc |  1 +
 src/ydialog.cc   |  1 +
 src/ymenu.cc     | 51 ++++++++++++++++++++++++++++++++++++++++-----------
 src/ymenu.h      |  2 ++
 src/ytooltip.cc  |  3 +++
 9 files changed, 59 insertions(+), 12 deletions(-)

commit acd41c6d6a728a90c0330a8ec61d6862374267d1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 28 15:49:45 2019 +0200

    Set EWMH window type on icewm windows.

 src/wmmgr.h    | 16 ----------------
 src/ywindow.cc | 13 +++++++++++++
 src/ywindow.h  | 20 ++++++++++++++++++++
 3 files changed, 33 insertions(+), 16 deletions(-)

commit d2b601e313b709a73e1b8985cc0c7fa28c6bf6c5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 28 15:46:53 2019 +0200

    Add 16 new icesh commands.

 man/icesh.pod | 116 +++++++--
 src/icesh.cc  | 743 +++++++++++++++++++++++++++++++++++-------------------
 2 files changed, 581 insertions(+), 278 deletions(-)

commit 30d53d967db117504923c53b62ac23466f6368c0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 23 22:23:59 2019 +0200

    Prepare 1.5.4 release

 AUTHORS      |    2 +-
 ChangeLog    | 1083 +++++++++++++++++++++++++++---------------------------
 NEWS         |  826 +++--------------------------------------
 README.md    |   40 +-
 VERSION      |    2 +-
 configure.ac |    8 +-
 po/ar.po     |    2 +-
 po/be.po     |    2 +-
 po/bg.po     |    2 +-
 po/ca.po     |    2 +-
 po/cs.po     |    2 +-
 po/da.po     |    2 +-
 po/de.po     |    2 +-
 po/el.po     |    2 +-
 po/en.po     |    2 +-
 po/es.po     |    2 +-
 po/fi.po     |    2 +-
 po/fr.po     |    2 +-
 po/he.po     |    2 +-
 po/hr.po     |    2 +-
 po/hu.po     |    2 +-
 po/icewm.pot |   78 +---
 po/id.po     |    2 +-
 po/it.po     |    2 +-
 po/ja.po     |    2 +-
 po/ko.po     |    2 +-
 po/lt.po     |    2 +-
 po/lv.po     |    2 +-
 po/mk.po     |    2 +-
 po/nb.po     |    2 +-
 po/nl.po     |    2 +-
 po/no.po     |    2 +-
 po/pl.po     |    2 +-
 po/pt_BR.po  |    2 +-
 po/ro.po     |    2 +-
 po/ru.po     |    2 +-
 po/sk.po     |    2 +-
 po/sl.po     |    2 +-
 po/sv.po     |    2 +-
 po/tr.po     |    2 +-
 po/uk.po     |    2 +-
 po/vi.po     |    2 +-
 po/zh_CN.po  |    2 +-
 po/zh_TW.po  |    2 +-
 44 files changed, 668 insertions(+), 1445 deletions(-)

commit bccd3c674d465a348a7653b8e7206f72a2590474
Merge: d6b77934 9275186b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 23 22:07:16 2019 +0200

    Merge branch 'icewm-1-4-BRANCH'

commit 9275186bd0012f2accbbcc3200fb0d08a58e3e00
Merge: 695edbaf af8c3500
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 23 22:00:09 2019 +0200

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit af8c350053a18674ce52de96051ded3b42c96db4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 23 21:54:29 2019 +0200

    update po files

 po/ar.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/be.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/bg.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/ca.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/cs.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/da.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/de.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/el.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/en.po     |  89 +++++++++++++++++++++++-----------------------
 po/es.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/fi.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/fr.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/he.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/hr.po     | 102 +++++++++++++++++++++++++++-------------------------
 po/hu.po     | 106 +++++++++++++++++++++++++++++--------------------------
 po/icewm.pot |  91 ++++++++++++++++++++++++-----------------------
 po/id.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/it.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/ja.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/ko.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/lt.po     | 102 +++++++++++++++++++++++++++-------------------------
 po/lv.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/mk.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/nb.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/nl.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/no.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/pl.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/pt_BR.po  | 100 ++++++++++++++++++++++++++-------------------------
 po/ro.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/ru.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/sk.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/sl.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/sv.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/tr.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/uk.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/vi.po     | 100 ++++++++++++++++++++++++++-------------------------
 po/zh_CN.po  | 100 ++++++++++++++++++++++++++-------------------------
 po/zh_TW.po  | 100 ++++++++++++++++++++++++++-------------------------
 38 files changed, 1968 insertions(+), 1822 deletions(-)

commit ece76b292f3a11ebba9649f0051f71056d73a1af
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 22 20:47:25 2019 +0200

    explain env. update locations

 man/icewm-env.pod          | 8 ++++++--
 man/icewm-focus_mode.pod   | 2 +-
 man/icewm-menu.pod         | 2 +-
 man/icewm-prefoverride.pod | 2 +-
 man/icewm-programs.pod     | 2 +-
 man/icewm-shutdown.pod     | 2 +-
 man/icewm-startup.pod      | 2 +-
 man/icewm-theme.pod        | 2 +-
 man/icewm-toolbar.pod      | 2 +-
 man/icewm-winoptions.pod   | 2 +-
 10 files changed, 15 insertions(+), 11 deletions(-)

commit f698a1e8970acf9570a300d10b4f61b3ca25312b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 22 19:29:33 2019 +0200

    more logging detail

 src/misc.cc | 42 +++++++-----------------------------------
 1 file changed, 7 insertions(+), 35 deletions(-)

commit 2fdefd5262cce6519cca695c1c1bda6dd529a44d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 22 19:24:25 2019 +0200

    update icewmhint

 man/icewmhint.pod | 119 ++++++++++++++++++++++++++++++--------------------
 src/icewmhint.cc  |  99 ++++++++++++++++++++---------------------
 2 files changed, 118 insertions(+), 100 deletions(-)

commit e93e85dfe7cf10f286715f4d1adcffd3e8710ba9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 22 19:20:53 2019 +0200

    avoid dangling pointer

 src/wmconfig.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 57a94af579b80972b04207f2e511beec3236dd57
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Apr 20 08:54:05 2019 +0200

    fix loop type

 src/yximage.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit fe6da693ba161e14c8d0cb4a576553ec8cff523f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 18 22:45:24 2019 +0200

    Keep icewm.html for distribution.

 doc/Makefile.am | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit 2ac8a929acc6a917d8d86389fa03f64a1bdb2d9b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 18 22:44:53 2019 +0200

    Clang has no variable tracking.

 configure.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit 8abc2c2d78a4d1493c332c384eb853c660efa198
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Apr 16 22:52:43 2019 +0200

    Add 8 "get"-commands to icesh to complement to existing "set"-commands.

 man/icesh.pod |  64 +++++++----
 src/icesh.cc  | 325 +++++++++++++++++++++++++++++++++++++++---------------
 2 files changed, 281 insertions(+), 108 deletions(-)

commit bb04a150e45d6b5bb4d34786a89695524c1f708d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 15 21:15:24 2019 +0200

    also distribute man/CMakeLists.txt.

 Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit d5ebfd54e57ac1191740bd7fe0cdf52a78225c61
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 15 01:13:48 2019 +0200

    support themes with indirect XPM images, like OnyX.

 src/yximage.cc | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

commit c98bb3344ece17252d98209124bb4ab9a1d0a98a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 15 01:13:22 2019 +0200

    fix sync type to bool.

 src/yxapp.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 7a29ffed9fb5f63da98cc25ad3824c25cb40fd0f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 15 01:12:16 2019 +0200

    drawClippedPixmap create GC on drawable for 32-bit depth, not static.

 src/ypaint.cc | 19 ++++++-------------
 1 file changed, 6 insertions(+), 13 deletions(-)

commit ac1bb0aa76f1f7f587b64be9d445cf02ee3a7144
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Apr 15 01:10:33 2019 +0200

    debug trace on request_code, not resourceid.

 src/wmapp.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b72d99baa3ab03b10cdc423c7ded3d147b97d2ce
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 14 14:02:05 2019 +0200

    NanoBlue icons are PNG.

 lib/Makefile.am                                  |  30 +++++++++----------
 .../icons/{IceWM_16x16.xpm => IceWM_16x16.png}   | Bin
 .../icons/{IceWM_32x32.xpm => IceWM_32x32.png}   | Bin
 .../icons/{app_16x16.xpm => app_16x16.png}       | Bin
 .../{firefox_16x16.xpm => firefox_16x16.png}     | Bin
 .../{firefox_32x32.xpm => firefox_32x32.png}     | Bin
 .../icons/{folder_16x16.xpm => folder_16x16.png} | Bin
 .../icons/{folder_32x32.xpm => folder_32x32.png} | Bin
 .../icons/{gimp_16x16.xpm => gimp_16x16.png}     | Bin
 .../icons/{gimp_32x32.xpm => gimp_32x32.png}     | Bin
 .../{mplayer_16x16.xpm => mplayer_16x16.png}     | Bin
 .../{mplayer_32x32.xpm => mplayer_32x32.png}     | Bin
 ...underbird_16x16.xpm => thunderbird_16x16.png} | Bin
 ...underbird_32x32.xpm => thunderbird_32x32.png} | Bin
 .../icons/{xterm_16x16.xpm => xterm_16x16.png}   | Bin
 .../icons/{xterm_32x32.xpm => xterm_32x32.png}   | Bin
 16 files changed, 15 insertions(+), 15 deletions(-)

commit 7379fdd88a1a8035eb299e787acd4160c65b480b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 14 13:40:19 2019 +0200

    pngload reference image

 src/yximage.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 362231eca68fbdfa5983e02ca7a11108535fc63c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 14 11:16:21 2019 +0200

    Working around setjmp clobbering issues with high optimization levels.

 src/yximage.cc | 66 ++++++++++++++++++++++++++++++------------------------
 1 file changed, 37 insertions(+), 29 deletions(-)

commit 36d30ac774dad8beef59978abd3064d2754e076f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Apr 14 11:08:18 2019 +0200

    add const_cast for #341.

 src/mstring.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e162ee522e9f4a7b9a67022e1b6a5a505b3dbd66
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 11 00:32:19 2019 +0200

    d, display. strip trailing whitespace.

 man/icehelp.pod           | 20 ++++++++++----------
 man/icewm-programs.pod    |  2 +-
 man/icewm-session.pod     |  2 +-
 man/icewm-set-gnomewm.pod |  2 +-
 man/icewm-winoptions.pod  | 10 +++++-----
 man/icewm.pod             |  4 ++--
 man/icewmbg.pod           |  2 +-
 man/icewmhint.pod         |  6 ++++++
 man/icewmtray.pod         |  6 ++++++
 9 files changed, 33 insertions(+), 21 deletions(-)

commit ad11a0c6188f43b7fb15dce8d95a149cec45a707
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Apr 11 00:32:01 2019 +0200

    prefer https

 README.md          |  2 +-
 lib/keys.in        |  4 ++--
 man/icewm-keys.pod | 10 +++++-----
 3 files changed, 8 insertions(+), 8 deletions(-)

commit c851f7c14a1cde88bf9f081d68944a77dba87e58
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 23:28:47 2019 +0200

    25 more preferences documented.

 man/icewm-preferences.pod | 110 ++++++++++++++++++++++++++++++++++++++++--
 1 file changed, 107 insertions(+), 3 deletions(-)

commit b1174df10ef699665512e1a4c1a25fb228e37b08
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:19:39 2019 +0200

    avoid clang warning

 src/ytimer.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2b3a358abe505fa96eaf2e18df51867a262d355
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:19:20 2019 +0200

    fix clang warnings

 src/apppstatus.cc |  1 -
 src/apppstatus.h  | 13 ++++++-------
 2 files changed, 6 insertions(+), 8 deletions(-)

commit 876ba62fa28535d59bdc4972927160d4e1afbf27
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:18:45 2019 +0200

    fix compilation for clang

 src/yximage.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit bdfacf274b04ef61517b23b66fca630e8edafa75
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:18:26 2019 +0200

    prevent clang warnings

 src/yxcontext.h | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 521594bb456b8fc9480eb0301d85aad47d9b3cf6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:18:13 2019 +0200

    prevent clang warnings

 src/yxapp.cc | 18 +++++++++++-------
 src/yxapp.h  |  3 ++-
 2 files changed, 13 insertions(+), 8 deletions(-)

commit bdf00aec2a792b87a0492124935a68b2746b53cd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:17:44 2019 +0200

    add missing _XA_TARGETS

 src/ywindow.h | 1 +
 1 file changed, 1 insertion(+)

commit 11cb81a1d00bea681bf85a3aa2ee10f054c5568a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:17:31 2019 +0200

    prevent clang warnings

 src/ywindow.cc | 210 ++++++++++++++++++++++++-----------------------------
 1 file changed, 93 insertions(+), 117 deletions(-)

commit 6fa589f160d29ba863b56a91218332bed3b7ccc0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:15:09 2019 +0200

    prevent clang warnings

 src/yrect.h | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 4b500c10cbd352bece0e8126369d402889e798d2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:14:58 2019 +0200

    prevent clang warnings

 src/ypointer.h | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit b0ac491140c978fcbbb134e081fcc7a406eab583
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:14:42 2019 +0200

    prevent clang warnings

 src/ypaint.cc | 46 +++++++++++++++++++++++++---------------------
 1 file changed, 25 insertions(+), 21 deletions(-)

commit 2a679c2012208efef1303a31e58b79e70c55dc12
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:14:25 2019 +0200

    prevent clang warnings

 src/ylist.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 63105fc4d4a17d3dd18f9b8b1b90abf07d63c1f6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:14:16 2019 +0200

    prevent clang warnings

 src/ycolor.cc | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 762c3189146eb5b08df2d4c174179db76d2d3b2a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:13:49 2019 +0200

    prevent clang warnings

 src/yarray.cc |  4 ++++
 src/yarray.h  | 35 ++++++++++++++++++++++-------------
 2 files changed, 26 insertions(+), 13 deletions(-)

commit cd9db949127714a8a279b8a51bd4256c80f4e38d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:13:04 2019 +0200

    prevent clang warnings

 src/yapp.cc | 11 +++++++----
 src/yapp.h  |  2 ++
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 82d925f7ab135cc621a638fee1a419a7ba951da2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:11:09 2019 +0200

    avoid clang warnings

 src/wmswitch.cc | 22 +++++++++++-----------
 src/wmswitch.h  |  8 ++++----
 2 files changed, 15 insertions(+), 15 deletions(-)

commit 830aa55b0cddb4ca2e98cb5536b8cc9c9e6cfe68
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:10:35 2019 +0200

    avoid clang warnings

 src/wmaction.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9ef488782b9a1d3d3fd17df7f70d55ae38a97ec6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:10:22 2019 +0200

    avoid clang warnings

 src/udir.cc  | 14 +++++++-------
 src/upath.cc | 16 ++++++++--------
 src/upath.h  |  4 ++--
 3 files changed, 17 insertions(+), 17 deletions(-)

commit 3c55042e923b7a7b0dbdb821a71904e4ac8b0451
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:09:39 2019 +0200

    avoid clang warnings

 src/ref.cc | 6 +++++-
 src/ref.h  | 7 ++++---
 2 files changed, 9 insertions(+), 4 deletions(-)

commit 7f68ce39143ff41f97f62851ac36ee51d52f3233
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:09:26 2019 +0200

    avoid clang warnings

 src/mstring.cc | 87 +++++++++++++++++++++++++++---------------------------
 src/mstring.h  |  5 ++--
 2 files changed, 47 insertions(+), 45 deletions(-)

commit a50f257e303a68fd1ad1814b56a393bfa452f1cb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:08:18 2019 +0200

    solve ambiguous[] for #340

 src/icesh.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit ea7df08bf832c9b028826908c9d982236c0b84d6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:07:15 2019 +0200

    avoid clang warnings

 src/base.h | 12 ++++++------
 1 file changed, 6 insertions(+), 6 deletions(-)

commit a9134b474e352ea11c9b2dad7512f3cec831cb51
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Apr 10 19:06:17 2019 +0200

    remove stray semicolon

 src/ascii.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d6b77934aed73d697efa26284dc73b4f3e86d885
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 27 13:10:57 2019 +0100

    1.5.3

 README.md | 40 ++++++++++++++++++++--------------------
 1 file changed, 20 insertions(+), 20 deletions(-)

commit 9f26ee18b0ae12842e21f2c05d677909e93d1a17
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 27 13:01:31 2019 +0100

    Prepare 1.5.3 release

 AUTHORS      |  18 +-
 ChangeLog    | 615 ++++++++++++++++++++++++++++---------------------------
 INSTALL      | 322 +++++++++++++++--------------
 NEWS         | 156 +++++---------
 VERSION      |   2 +-
 configure.ac |  10 +-
 po/ar.po     |  76 +++----
 po/be.po     |  76 +++----
 po/bg.po     |  76 +++----
 po/ca.po     |  76 +++----
 po/cs.po     |  76 +++----
 po/da.po     |  76 +++----
 po/de.po     |  76 +++----
 po/el.po     |  76 +++----
 po/en.po     |  65 +++---
 po/es.po     |  76 +++----
 po/fi.po     |  76 +++----
 po/fr.po     |  76 +++----
 po/he.po     |  76 +++----
 po/hr.po     |  78 +++----
 po/hu.po     |  82 ++++----
 po/icewm.pot |  67 +++---
 po/id.po     |  76 +++----
 po/it.po     |  76 +++----
 po/ja.po     |  76 +++----
 po/ko.po     |  76 +++----
 po/lt.po     |  78 +++----
 po/lv.po     |  76 +++----
 po/mk.po     |  76 +++----
 po/nb.po     |  76 +++----
 po/nl.po     |  76 +++----
 po/no.po     |  76 +++----
 po/pl.po     |  76 +++----
 po/pt_BR.po  |  76 +++----
 po/ro.po     |  76 +++----
 po/ru.po     |  76 +++----
 po/sk.po     |  76 +++----
 po/sl.po     |  76 +++----
 po/sv.po     |  76 +++----
 po/tr.po     |  76 +++----
 po/uk.po     |  76 +++----
 po/vi.po     |  76 +++----
 po/zh_CN.po  |  76 +++----
 po/zh_TW.po  |  76 +++----
 44 files changed, 2059 insertions(+), 1942 deletions(-)

commit 695edbafa5f8531f3aaf2ed8143d15cca8df305e
Merge: 578655ae b47a45d7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 27 12:35:29 2019 +0100

    Merge remote-tracking branch 'upstream/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit b47a45d75eaf0ecc1207b43d544c450ea02dd4ac
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 26 22:13:49 2019 +0100

    ESD is obsolete

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 69a1fa03d5607d4a5491f5f2e93eaac65c50cc8e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Mar 26 20:02:12 2019 +0100

    configured +fdomenus

 src/wmapp.cc | 3 +++
 1 file changed, 3 insertions(+)

commit a834d6f20a1e285ae85fbd7e012f71cf1012e59c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 24 22:12:36 2019 +0100

    Avoid creating empty output files if pod2html is not installed.

 man/Makefile.am | 18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

commit 7cb8c421bbfad05d7b8e5d175e42dcd1cf09836f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 24 21:27:47 2019 +0100

    Print a warning if running without fonts for #338.

 src/yfont.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 75cfd2acad11673a395d62b5ab446bde25cf645d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 24 21:26:26 2019 +0100

    Remove superfluous font loading.

 src/atray.cc | 7 -------
 1 file changed, 7 deletions(-)

commit 3be95e5a63e7523dc615a4f7730495e4e425ff06
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 24 21:21:20 2019 +0100

    Error if both xfreetype and corefonts are disabled for #338.

 configure.ac | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

commit 49bab114633ac1038e682442ccb5f047afbbadc5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 6 21:30:41 2019 +0100

    Minor icesh documentation tweaks.

 man/icesh.pod | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 750e824008a090d95e545c711daf0c3246275b93
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Mar 6 21:20:00 2019 +0100

    icesh title can be empty.

 src/icesh.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit e88f39308871761b9d3168ae86b4893a084c6fb9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 4 22:18:54 2019 +0100

    3 icesh commands "clients", "shown", "windows".

 man/icesh.pod |  13 ++++-
 src/icesh.cc  | 141 ++++++++++++++++++++++++++++++++++++++----------------
 2 files changed, 112 insertions(+), 42 deletions(-)

commit 305f98351aa2b46bbbfb3b4f67cb970ffef90636
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Mar 4 05:16:49 2019 +0100

    Extend icesh with a dozen new icewm specific commands.

 man/icesh.pod | 110 +++++--
 src/icesh.cc  | 877 +++++++++++++++++++++++++++++++++++++-----------------
 2 files changed, 692 insertions(+), 295 deletions(-)

commit acf2039bffcc2082d9ca217b37db79e89b953ad7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 3 22:44:08 2019 +0100

    update po files

 po/ar.po     | 22 +++++++++++-----------
 po/be.po     | 18 +++++++++---------
 po/bg.po     | 18 +++++++++---------
 po/ca.po     | 18 +++++++++---------
 po/cs.po     | 18 +++++++++---------
 po/da.po     | 18 +++++++++---------
 po/de.po     | 34 +++++++++++++++++-----------------
 po/el.po     | 18 +++++++++---------
 po/en.po     | 18 +++++++++---------
 po/es.po     | 26 +++++++++++++-------------
 po/fi.po     | 18 +++++++++---------
 po/fr.po     | 22 +++++++++++-----------
 po/he.po     | 18 +++++++++---------
 po/hr.po     | 18 +++++++++---------
 po/hu.po     | 22 +++++++++++-----------
 po/icewm.pot | 20 ++++++++++----------
 po/id.po     | 18 +++++++++---------
 po/it.po     | 18 +++++++++---------
 po/ja.po     | 18 +++++++++---------
 po/ko.po     | 22 +++++++++++-----------
 po/lt.po     | 18 +++++++++---------
 po/lv.po     | 18 +++++++++---------
 po/mk.po     | 18 +++++++++---------
 po/nb.po     | 18 +++++++++---------
 po/nl.po     | 18 +++++++++---------
 po/no.po     | 18 +++++++++---------
 po/pl.po     | 30 +++++++++++++++---------------
 po/pt_BR.po  | 18 +++++++++---------
 po/ro.po     | 18 +++++++++---------
 po/ru.po     | 18 +++++++++---------
 po/sk.po     | 18 +++++++++---------
 po/sl.po     | 18 +++++++++---------
 po/sv.po     | 22 +++++++++++-----------
 po/tr.po     | 18 +++++++++---------
 po/uk.po     | 18 +++++++++---------
 po/vi.po     | 18 +++++++++---------
 po/zh_CN.po  | 18 +++++++++---------
 po/zh_TW.po  | 18 +++++++++---------
 38 files changed, 371 insertions(+), 371 deletions(-)

commit 8529fa93063a6fc117e60cbafa971b648c60c17c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Mar 3 22:37:11 2019 +0100

    Restore resize behavior to 1.4.2 for #331.

 src/decorate.cc | 11 -----------
 src/movesize.cc |  2 +-
 src/wmframe.cc  | 14 ++------------
 src/wmframe.h   |  1 -
 4 files changed, 3 insertions(+), 25 deletions(-)

commit f019f31f8ab1a37fb858f3f4822f754b81216e9a
Merge: 7371c0e3 bd68f40d
Author: Stanislav Brabec <sbrabec@suse.cz>
Date:   Mon Feb 18 21:30:21 2019 +0100

    Merge remote-tracking branch 'weblate/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit bd68f40d161a12ee52492d1f0ff339f5fa189f37
Author: Sven Åhr <anders.ahr@gmail.com>
Date:   Tue Jan 22 16:47:38 2019 +0000

    Translated using Weblate (Swedish)

    Currently translated at 100.0% (468 of 468 strings)

 po/sv.po | 441 ++++++++++++++++++++++-------------------------------------
 1 file changed, 164 insertions(+), 277 deletions(-)

commit e32790b681e3e6a3a57e01abd32b15f68fdac82f
Author: Juan Sarria <juansarriam@gmail.com>
Date:   Fri Jan 25 16:05:35 2019 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (468 of 468 strings)

 po/es.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 92201a067496f4f4be30e96d5c0696532892935f
Author: Ewelina Michalowska <ewelina.michalowska@stgambit.com>
Date:   Sat Jan 26 10:34:12 2019 +0000

    Translated using Weblate (Polish)

    Currently translated at 100.0% (468 of 468 strings)

 po/pl.po | 449 +++++++++++++++++++++++------------------------------------
 1 file changed, 171 insertions(+), 278 deletions(-)

commit e71a92131aecb13c15e800a08920ca1fb11543df
Author: Hwajin Kim <hwajin.kim@e4net.net>
Date:   Mon Jan 28 02:45:27 2019 +0000

    Translated using Weblate (Korean)

    Currently translated at 100.0% (468 of 468 strings)

 po/ko.po | 394 ++++++++++++++++++++++-------------------------------------
 1 file changed, 148 insertions(+), 246 deletions(-)

commit 133e875bce3e44ffce9f08d8ac983a683cc22bf1
Author: Robert Taisz <robert.taisz@emerald.hu>
Date:   Sun Jan 27 16:25:22 2019 +0000

    Translated using Weblate (Hungarian)

    Currently translated at 100.0% (468 of 468 strings)

 po/hu.po | 394 ++++++++++++++++++++++-------------------------------------
 1 file changed, 146 insertions(+), 248 deletions(-)

commit f0a27cdebf44fffe74f4642f833cc34849c3a7a6
Author: Christine Gabriel <christine@stoquart.com>
Date:   Mon Jan 28 07:58:36 2019 +0000

    Translated using Weblate (French)

    Currently translated at 100.0% (468 of 468 strings)

 po/fr.po | 158 ++++++++++++++++++++++++-----------------------------------
 1 file changed, 65 insertions(+), 93 deletions(-)

commit acfb157482af9a74dd0cd732a040a66ea8d72761
Author: Emily Dong <Emily.Dong@excel-gits.com>
Date:   Fri Jan 25 03:01:31 2019 +0000

    Translated using Weblate (Chinese (Taiwan))

    Currently translated at 100.0% (468 of 468 strings)

 po/zh_TW.po | 334 +++++++++++++++++++++-----------------------------------
 1 file changed, 122 insertions(+), 212 deletions(-)

commit c9715eeaefab03c87b597a1d01a0216d99e76da7
Author: Emily Dong <Emily.Dong@excel-gits.com>
Date:   Fri Jan 25 01:56:15 2019 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 100.0% (468 of 468 strings)

 po/zh_CN.po | 12 +++++-------
 1 file changed, 5 insertions(+), 7 deletions(-)

commit 46feae02f356512a9d4585835cf6593a6f289702
Author: George Yacoub <george.yacoub@arabize.com>
Date:   Wed Jan 23 05:05:25 2019 +0000

    Translated using Weblate (Arabic)

    Currently translated at 100.0% (468 of 468 strings)

 po/ar.po | 435 +++++++++++++++++++++++------------------------------------
 1 file changed, 165 insertions(+), 270 deletions(-)

commit 578655aec9a344750544ea33dbc39e5688315619
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 4 21:07:59 2019 +0100

    Prepare 1.5.2 release

 AUTHORS      |  14 +-
 ChangeLog    | 434 ++++++++++++++++++++++++++++---------------------------
 NEWS         | 252 +++++++-------------------------
 README.md    |  42 +++---
 VERSION      |   2 +-
 configure.ac |   8 +-
 po/ar.po     |   6 +-
 po/be.po     |   6 +-
 po/bg.po     |   6 +-
 po/ca.po     |   6 +-
 po/cs.po     |   6 +-
 po/da.po     |   6 +-
 po/de.po     |  22 +--
 po/el.po     |   6 +-
 po/en.po     |   6 +-
 po/es.po     |  14 +-
 po/fi.po     |   6 +-
 po/fr.po     |   6 +-
 po/he.po     |   6 +-
 po/hr.po     |   6 +-
 po/hu.po     |   6 +-
 po/icewm.pot |  10 +-
 po/id.po     |   6 +-
 po/it.po     |   6 +-
 po/ja.po     |   6 +-
 po/ko.po     |   6 +-
 po/lt.po     |   6 +-
 po/lv.po     |   6 +-
 po/mk.po     |   6 +-
 po/nb.po     |   6 +-
 po/nl.po     |   6 +-
 po/no.po     |   6 +-
 po/pl.po     |   6 +-
 po/pt_BR.po  |   6 +-
 po/ro.po     |   6 +-
 po/ru.po     |   6 +-
 po/sk.po     |   6 +-
 po/sl.po     |   6 +-
 po/sv.po     |   6 +-
 po/tr.po     |   6 +-
 po/uk.po     |   6 +-
 po/vi.po     |   6 +-
 po/zh_CN.po  |   6 +-
 po/zh_TW.po  |   6 +-
 44 files changed, 432 insertions(+), 576 deletions(-)

commit 8a2c5e2cd0ded8271bccf9b19b339daba00aa7c5
Merge: d12c0260 7371c0e3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 4 20:48:13 2019 +0100

    Merge branch 'icewm-1-4-BRANCH'

commit 7371c0e35db5ccc361358797a045ff628079f9f3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Feb 4 03:40:26 2019 +0100

    Solve #330 taskbar border corruption for themes without a taskbar
    background pixmap.

 src/wmtaskbar.cc | 22 +++++++++++++---------
 1 file changed, 13 insertions(+), 9 deletions(-)

commit 313949af064253c1319098286669ec64ae98ad32
Author: wisememo <46960734+wisememo@users.noreply.github.com>
Date:   Mon Feb 4 00:17:38 2019 +1100

    Update zh_TW.po (#332)

    section #: src/icewmbg.cc:885
    - added missing translation
    - improved minor translation to be aligned with translated terms from
    Taiwan Ministry of Education
    - corrected comma used in translation, which should be kept for command
    option

 po/zh_TW.po | 46 +++++++++++++++++++++++++---------------------
 1 file changed, 25 insertions(+), 21 deletions(-)

commit 41716de53b186bc6dfd1bbdb22968d8c8feb9bb2
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Sun Jan 27 18:33:14 2019 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (468 of 468 strings)

 po/de.po | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit 1ab3e7496c73ee355ce5ded954ae82d4be446594
Author: Franziska Weinberger <f.weinberger@gemino.de>
Date:   Fri Jan 25 12:58:28 2019 +0000

    Translated using Weblate (German)

    Currently translated at 99.6% (466 of 468 strings)

 po/de.po | 12 +++++++-----
 1 file changed, 7 insertions(+), 5 deletions(-)

commit 1d70041130b8131e42d923ace1a42697fe0b1822
Author: Jorge Gallegos Carrasco <jcarrascochih@gmail.com>
Date:   Fri Jan 25 16:04:35 2019 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (468 of 468 strings)

 po/es.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 02b402cb4de6daec98243a6c6ded017dbb35f09a
Author: Juan Sarria <juansarriam@gmail.com>
Date:   Fri Jan 25 16:02:20 2019 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (468 of 468 strings)

 po/es.po | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit 77bd5e91fc7817ad714bd6b81fc3734d935fdefe
Author: Patricia Pazos <pms.malaga@hermestrans.com>
Date:   Thu Jan 24 09:31:40 2019 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (468 of 468 strings)

 po/es.po | 183 ++++++++++++++++++++++-------------------------------------
 1 file changed, 68 insertions(+), 115 deletions(-)

commit 33b03a1e307bb204d60019a937d2b1226487120b
Merge: f2014a11 74623aca
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Mon Jan 21 18:34:51 2019 +0000

    Merge branch 'origin/icewm-1-4-BRANCH' into Weblate

commit 74623aca98ecd2d40e3ccb7cf3229d3d3b8fc194
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Tue Jan 8 10:47:47 2019 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (468 of 468 strings)

 po/de.po | 72 +++++++++++++++++++++++++-----------------------------------
 1 file changed, 30 insertions(+), 42 deletions(-)

commit f2014a11350f26d8c526a818c808488909aef7ae
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Fri Jan 18 09:32:37 2019 -0700

    update po files

 po/ar.po     |  94 +++++++++++++++++++++++++-------------------------
 po/be.po     |  94 +++++++++++++++++++++++++-------------------------
 po/bg.po     |  94 +++++++++++++++++++++++++-------------------------
 po/ca.po     |  98 ++++++++++++++++++++++++++--------------------------
 po/cs.po     |  98 ++++++++++++++++++++++++++--------------------------
 po/da.po     |  98 ++++++++++++++++++++++++++--------------------------
 po/de.po     |  94 +++++++++++++++++++++++++-------------------------
 po/el.po     |  97 ++++++++++++++++++++++++++--------------------------
 po/en.po     |  94 +++++++++++++++++++++++++-------------------------
 po/es.po     |  98 ++++++++++++++++++++++++++--------------------------
 po/fi.po     |  94 +++++++++++++++++++++++++-------------------------
 po/fr.po     |  94 +++++++++++++++++++++++++-------------------------
 po/he.po     |  94 +++++++++++++++++++++++++-------------------------
 po/hr.po     |  94 +++++++++++++++++++++++++-------------------------
 po/hu.po     |  94 +++++++++++++++++++++++++-------------------------
 po/icewm.pot |  98 ++++++++++++++++++++++++++--------------------------
 po/id.po     |  94 +++++++++++++++++++++++++-------------------------
 po/it.po     |  98 ++++++++++++++++++++++++++--------------------------
 po/ja.po     |  98 ++++++++++++++++++++++++++--------------------------
 po/ko.po     |  94 +++++++++++++++++++++++++-------------------------
 po/lt.po     |  94 +++++++++++++++++++++++++-------------------------
 po/lv.po     |  94 +++++++++++++++++++++++++-------------------------
 po/mk.po     |  94 +++++++++++++++++++++++++-------------------------
 po/nb.po     |  94 +++++++++++++++++++++++++-------------------------
 po/nl.po     |  98 ++++++++++++++++++++++++++--------------------------
 po/no.po     |  94 +++++++++++++++++++++++++-------------------------
 po/pl.po     |  94 +++++++++++++++++++++++++-------------------------
 po/pt_BR.po  |  94 +++++++++++++++++++++++++-------------------------
 po/ro.po     |  94 +++++++++++++++++++++++++-------------------------
 po/ru.po     | 102 +++++++++++++++++++++++++++----------------------------
 po/sk.po     |  98 ++++++++++++++++++++++++++--------------------------
 po/sl.po     |  94 +++++++++++++++++++++++++-------------------------
 po/sv.po     |  94 +++++++++++++++++++++++++-------------------------
 po/tr.po     |  94 +++++++++++++++++++++++++-------------------------
 po/uk.po     |  94 +++++++++++++++++++++++++-------------------------
 po/vi.po     |  94 +++++++++++++++++++++++++-------------------------
 po/zh_CN.po  |  94 +++++++++++++++++++++++++-------------------------
 po/zh_TW.po  |  94 +++++++++++++++++++++++++-------------------------
 38 files changed, 1809 insertions(+), 1810 deletions(-)

commit 44d585650853de1595d8d8608040c5296400aee3
Merge: fb8d0aa7 77c6e5c7
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Fri Jan 18 09:21:52 2019 -0700

    Merge branch 'icewm-1-4-BRANCH' of github.com:bbidulock/icewm into
    icewm-1-4-BRANCH

commit fb8d0aa781aeab736bf149683c27768c521f8d8a
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Fri Jan 18 09:20:06 2019 -0700

    reformat TODO

 TODO | 32 +++++++++++++++++---------------
 1 file changed, 17 insertions(+), 15 deletions(-)

commit 77c6e5c79e8946d6bbb5fe5da6bf9f4e881c1785
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 9 23:44:58 2019 +0100

    Include Xutil.h.

 src/icehelp.cc | 1 +
 src/yxtray.cc  | 1 +
 2 files changed, 2 insertions(+)

commit 945cf0d59b9127978de0cc3b8416f0f95615a41d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 9 23:18:11 2019 +0100

    Add keysym.h to aaddressbar.cc.

 src/aaddressbar.cc | 1 +
 1 file changed, 1 insertion(+)

commit aee48678cd23ec2f1ae641188a3f4b24306240b5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 9 22:58:00 2019 +0100

    Add keysym.h to yinput.cc.

 src/yinput.cc | 1 +
 1 file changed, 1 insertion(+)

commit e79cf7a3f0c89f10c507478695fdcde587bdf1eb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Jan 9 21:12:18 2019 +0100

    Include stdlib.h for mblen for issue #329.

 src/ypaint.cc | 1 +
 1 file changed, 1 insertion(+)

commit d12c02605e4b494b9bd3fe426f974a5b58cf8843
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 5 21:56:51 2019 +0100

    prepare 1.5.1 release

 AUTHORS      |  19 ++--
 ChangeLog    | 308 +++++++++++++++++++++++++++----------------------------
 NEWS         |  46 ++++++++-
 VERSION      |   2 +-
 configure.ac |   8 +-
 5 files changed, 209 insertions(+), 174 deletions(-)

commit ffa57cbef3faa743547ddc8b485a039d6d72cfce
Merge: fb47fcaf 70917b61
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Jan 5 21:44:22 2019 +0100

    merge updated translations and NetBSD portability fixes.

commit 70917b612eee00fd3c62d2b47541c6bf15b2718e
Merge: b952605b 7d859e4a
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Sat Jan 5 18:28:17 2019 +0000

    Merge branch 'origin/icewm-1-4-BRANCH' into Weblate

commit 7d859e4a7998d48df963bdd1ffd32abdb2c13bdc
Author: Jorge Gallegos Carrasco <jcarrascochih@gmail.com>
Date:   Fri Dec 28 23:51:41 2018 +0000

    Translated using Weblate (Spanish)

    Currently translated at 94.4% (442 of 468 strings)

 po/es.po | 39 ++++++++++++++++-----------------------
 1 file changed, 16 insertions(+), 23 deletions(-)

commit d6a0a83478ecdeeb0c94e71176b5a2e430ffa690
Author: Alessio Adamo <alessio.adamo@gmail.com>
Date:   Fri Jan 4 17:55:44 2019 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (468 of 468 strings)

 po/it.po | 28 ++++++++--------------------
 1 file changed, 8 insertions(+), 20 deletions(-)

commit b952605be5f128b66d16d39c32f9003a86b1a89e
Author: nikoss <nikoss@users.noreply.github.com>
Date:   Sat Jan 5 20:28:11 2019 +0200

    Greek translation 002 (#327)

 po/el.po | 1052 ++++++++++++++++++++++++++++++++--------------------------
 1 file changed, 574 insertions(+), 478 deletions(-)

commit 569bbe78a4d126c00c3879a8e3e660dc7fbac2c9
Merge: 1a378610 98ec09c5
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Wed Dec 26 17:32:38 2018 +0000

    Merge branch 'origin/icewm-1-4-BRANCH' into Weblate

commit 98ec09c5af88cead442ba8fb9f1be0a276e128b0
Author: Dmitriy Khanzhin <dmitriy.khanzhin@gmail.com>
Date:   Sat Dec 22 07:45:13 2018 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (468 of 468 strings)

 po/ru.po | 213 ++++++++++++++++++++++-------------------------------------
 1 file changed, 78 insertions(+), 135 deletions(-)

commit f549b4b130f19c9d3324ec72025da2fc98bc730f
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Fri Dec 21 11:47:07 2018 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (468 of 468 strings)

 po/da.po | 28 ++++++++--------------------
 1 file changed, 8 insertions(+), 20 deletions(-)

commit 4d36ab1ae63063d86302abd443598543f0b54dac
Author: Dingzhong Chen <wsxy162@gmail.com>
Date:   Tue Dec 25 05:46:12 2018 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 99.6% (466 of 468 strings)

 po/zh_CN.po | 24 +++++++-----------------
 1 file changed, 7 insertions(+), 17 deletions(-)

commit 1a378610e510c17cceb1a9bd3e85cffd7fbb8e35
Merge: 6f29d4ca fe79795e
Author: Code7R <Code7R@users.noreply.github.com>
Date:   Wed Dec 26 18:32:32 2018 +0100

    Merge pull request #325 from bsiegert/genpref

    Three more CMake fixes

commit fe79795e0fc92039e196aec670dde8fcebf5cd8d
Author: Benny Siegert <bsiegert@gmail.com>
Date:   Wed Dec 26 11:43:06 2018 +0000

    Check sndfile.h with audio_flags.

    Use the CFLAGS returned by pkg-config for libsndfile. Otherwise,
    sndfile.h is not found when in a non-standard location (such as
    /usr/pkg in pkgsrc), and building icesound fails.

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d25bd05a6373371030e6491b0c1bae3dc2a24cb
Author: Benny Siegert <bsiegert@gmail.com>
Date:   Wed Dec 26 11:30:30 2018 +0000

    Link genpref and icewm-session against gettext.

    Also add the x11 CFLAGS, because ylib.h (which these tools include)
    includes X.h.

 src/CMakeLists.txt | 7 +++++--
 1 file changed, 5 insertions(+), 2 deletions(-)

commit f1fe12cdf88636c9136d335b38448b9714358293
Author: Benny Siegert <bsiegert@gmail.com>
Date:   Wed Dec 26 11:28:54 2018 +0000

    Add libpng and libxpm to flag fixup stanza.

    This removes the stray `;` in the NetBSD build of icewm.
    Closes bbidulock/icewm#323.

 src/CMakeLists.txt | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit fb47fcaf1a46423e1fc0b39764eab71b5b23e54f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 23 20:52:35 2018 +0100

    prepare 1.5.0 release

 AUTHORS               |   94 +-
 CONTRIBUTING.md       |   22 +-
 ChangeLog             | 8746 +++++++++++++++++++++------------------------
 INSTALL               |  322 +-
 NEWS                  | 5078 ++++++++++++--------------
 README.md             |  110 +-
 README.md.in          |   38 +-
 VERSION               |    2 +-
 autogen.sh            |    2 +-
 configure.ac          |   14 +-
 icewm.spec.in         |    2 +-
 src/config.cmake.h.in |    2 +-
 12 files changed, 6666 insertions(+), 7766 deletions(-)

commit 6f29d4cad199997ef18f4c50619cf89298032e34
Author: Benny Siegert <bsiegert@gmail.com>
Date:   Thu Dec 20 21:43:20 2018 +0100

    Fix NetBSD APM includes. (#324)

    NetBSD/amd64 has no <machine/apm.h>, as APM is not a "native" concept
    on amd64. However, the underlying header files from dev/apm, which do
    exist and provide a compat wrapper, can be included directly.

 src/aapm.cc | 3 ++-
 src/aapm.h  | 2 +-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 006eceb42f5b67bc591a5bf5958c559d1be31c6c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Dec 20 20:13:05 2018 +0100

    Only compile all of aapm.cc if MAX_ACPI_BATTERY_NUM is defined for #316.

 src/aapm.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 8b41f5bdd284cea7b54fdc413db6bbfff5ae97d6
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Wed Dec 19 14:22:52 2018 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (468 of 468 strings)

 po/pt_BR.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 9150acc7ce1972b2fd738b1fcd56fd4b1dac3736
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Mon Dec 17 23:07:56 2018 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (468 of 468 strings)

 po/ja.po | 28 ++++++++--------------------
 1 file changed, 8 insertions(+), 20 deletions(-)

commit e98362ccc93681e46f6a7fd6cfb83a19a8e2db97
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Tue Dec 18 20:33:17 2018 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (468 of 468 strings)

 po/nl.po | 32 ++++++++++----------------------
 1 file changed, 10 insertions(+), 22 deletions(-)

commit 9fc48d935a49ac01bda6d7185d859361ede129bc
Author: Aleš Kastner <alkas@volny.cz>
Date:   Tue Dec 18 08:29:31 2018 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (468 of 468 strings)

 po/cs.po | 30 +++++++++---------------------
 1 file changed, 9 insertions(+), 21 deletions(-)

commit 856ecbc7efb6ca5bbc32720a180db76775d166db
Author: David Medina <medipas@gmail.com>
Date:   Tue Dec 18 10:32:25 2018 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (468 of 468 strings)

 po/ca.po | 28 ++++++++--------------------
 1 file changed, 8 insertions(+), 20 deletions(-)

commit 377dcdb0b601901cc8354cab3a07005bd43f34c4
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Tue Dec 18 06:25:56 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (468 of 468 strings)

 po/sk.po | 28 ++++++++--------------------
 1 file changed, 8 insertions(+), 20 deletions(-)

commit 4a7d80c1d0fbb85692c0122dc22c866df2a47eb1
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Wed Dec 19 14:22:31 2018 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (468 of 468 strings)

 po/pt_BR.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6bfe96a7a2d8d7c39c8032b1aae3bea48d9229e6
Author: Rodrigo Macedo <rmsolucoeseminformatic4@gmail.com>
Date:   Wed Dec 19 13:43:29 2018 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (468 of 468 strings)

 po/pt_BR.po | 30 +++++++++---------------------
 1 file changed, 9 insertions(+), 21 deletions(-)

commit 89f8651a20d982630d68fcc64f866567c4e8bc25
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 17 23:56:43 2018 +0100

    update po files

 po/ar.po     | 210 +++++++++++++++++++++++++++----------------------
 po/be.po     | 213 ++++++++++++++++++++++++++++----------------------
 po/bg.po     | 211 +++++++++++++++++++++++++++----------------------
 po/ca.po     | 214 ++++++++++++++++++++++++++++----------------------
 po/cs.po     | 214 ++++++++++++++++++++++++++++----------------------
 po/da.po     | 214 ++++++++++++++++++++++++++++----------------------
 po/de.po     | 225 +++++++++++++++++++++++++++++-----------------------
 po/el.po     | 210 +++++++++++++++++++++++++++----------------------
 po/en.po     | 195 ++++++++++++++++++++++++----------------------
 po/es.po     | 214 ++++++++++++++++++++++++++++----------------------
 po/fi.po     | 211 +++++++++++++++++++++++++++----------------------
 po/fr.po     | 234 ++++++++++++++++++++++++++++++-------------------------
 po/he.po     | 211 +++++++++++++++++++++++++++----------------------
 po/hr.po     | 207 ++++++++++++++++++++++++++----------------------
 po/hu.po     | 216 ++++++++++++++++++++++++++++----------------------
 po/icewm.pot | 197 ++++++++++++++++++++++++----------------------
 po/id.po     | 210 +++++++++++++++++++++++++++----------------------
 po/it.po     | 218 ++++++++++++++++++++++++++++-----------------------
 po/ja.po     | 226 ++++++++++++++++++++++++++++++-----------------------
 po/ko.po     | 214 ++++++++++++++++++++++++++++----------------------
 po/lt.po     | 210 +++++++++++++++++++++++++++----------------------
 po/lv.po     | 211 +++++++++++++++++++++++++++----------------------
 po/mk.po     | 211 +++++++++++++++++++++++++++----------------------
 po/nb.po     | 211 +++++++++++++++++++++++++++----------------------
 po/nl.po     | 214 ++++++++++++++++++++++++++++----------------------
 po/no.po     | 211 +++++++++++++++++++++++++++----------------------
 po/pl.po     | 210 +++++++++++++++++++++++++++----------------------
 po/pt_BR.po  | 214 ++++++++++++++++++++++++++++----------------------
 po/ro.po     | 211 +++++++++++++++++++++++++++----------------------
 po/ru.po     | 210 +++++++++++++++++++++++++++----------------------
 po/sk.po     | 214 ++++++++++++++++++++++++++++----------------------
 po/sl.po     | 211 +++++++++++++++++++++++++++----------------------
 po/sv.po     | 210 +++++++++++++++++++++++++++----------------------
 po/tr.po     | 211 +++++++++++++++++++++++++++----------------------
 po/uk.po     | 210 +++++++++++++++++++++++++++----------------------
 po/vi.po     | 210 +++++++++++++++++++++++++++----------------------
 po/zh_CN.po  | 216 ++++++++++++++++++++++++++++----------------------
 po/zh_TW.po  | 210 +++++++++++++++++++++++++++----------------------
 38 files changed, 4522 insertions(+), 3547 deletions(-)

commit 1088b60e8cacac7331bb860eeeb489f032159f24
Merge: f298c40b 191ae0bc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 17 20:09:25 2018 +0100

    merge

commit f298c40b08d1880f944fc98a388b223082433379
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 17 20:07:27 2018 +0100

    Avoid seting layer on destroyed client.

 src/wmframe.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 5e1aef15008b348ce38ee0990b500c635e765d85
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 17 20:06:44 2018 +0100

    Avoid repeated activations of same window.

 src/wmcontainer.cc | 9 ++++-----
 1 file changed, 4 insertions(+), 5 deletions(-)

commit 403ab9a02447fee505b289ff227d58a1efe8a43e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 17 20:06:12 2018 +0100

    Check if client is destroyed.

 src/wmclient.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 791362fb1807210c5000bb8e1c2f1fe9377223ef
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 17 20:04:59 2018 +0100

    Calling performLayout just once is enough.

 src/decorate.cc | 6 ++++--
 src/wmframe.h   | 1 -
 2 files changed, 4 insertions(+), 3 deletions(-)

commit 212134afa45955f393b8da18ca406f65295d7b35
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 17 20:03:35 2018 +0100

    Allow to popdown start menu.

 src/wmprog.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 55f6f24f05ff1d016f790077a70d302f06d5ac72
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 17 20:03:18 2018 +0100

    Optimization.

 src/ywindow.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 191ae0bc9d9e6f0942fad3f0fcdfb6684672671b
Merge: d29a6da1 6f05e775
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Mon Dec 17 19:02:21 2018 +0000

    Merge branch 'origin/icewm-1-4-BRANCH' into Weblate

commit 6f05e7758596dbb1a99a13293e4f08d9f37033da
Author: YunSeok Choi <xein@naver.com>
Date:   Mon Dec 17 13:29:36 2018 +0000

    Translated using Weblate (Korean)

    Currently translated at 71.6% (333 of 465 strings)

 po/ko.po | 18 +++++++-----------
 1 file changed, 7 insertions(+), 11 deletions(-)

commit d29a6da16c9f0576098476472d3a7f5ef8c30eb2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 17 20:01:10 2018 +0100

    Apm LayoutInfo only if MAX_ACPI_BATTERY_NUM is defined for #316.

 src/wmtaskbar.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 0633edc47de1981686219f83cb8319f87beadafc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 16 16:31:54 2018 +0100

    tooltips international.

 src/wmtaskbar.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b7bb2193a13f23af994b276afddf9fbf5a2007f4
Author: varmanishant <nishant.varma@gmail.com>
Date:   Sun Dec 16 20:54:36 2018 +0530

    Title case for tooltip messages (#322)

 src/wmtaskbar.cc | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 72d4e72e61f39e6729c5fda3631286f79b288683
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Dec 11 05:27:15 2018 +0100

    install icons/icewm_32x32.png

 lib/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 92048edc20a36d6aae70c30993e38a52ac32fe39
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 10 00:35:13 2018 +0100

    Check if MAX_ACPI_BATTERY_NUM is defined for fApm for NetBSD.
    When hiding taskbar first hide before relayout.
    Only show edge trigger if taskBarAutoHide.

 src/wmtaskbar.cc | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit ba159cb48f787e089b94794dc5e447d4081776f4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 10 00:33:14 2018 +0100

    Keep execution of wm actions in one place.
    Also show statusWorkspace if taskbar is hidden.
    Check if client is nonempty to avoid possible crash.

 src/wmmgr.cc | 34 ++++++++++------------------------
 1 file changed, 10 insertions(+), 24 deletions(-)

commit 7a8e8e14dd89ba70da4e8638cbae390b3763b220
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 10 00:30:37 2018 +0100

    Remove some superfluous and duplicate code.
    Don't activate or focus taskbar. Hide frame after deleting client.
    Avoid superfluous refocusing of the same frame if possible.
    Don't update state for destroyed clients to avoid X errors.

 src/wmframe.cc | 46 ++++++++++++++++------------------------------
 1 file changed, 16 insertions(+), 30 deletions(-)

commit 964efe67aab9b157f2d239614acb21f6c64b522a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 10 00:28:57 2018 +0100

    Keep execution of actions in one place.
    Check for broken pipe writes.
    Always focus logout message box when needed.

 src/wmapp.cc | 21 ++++++++++++++-------
 1 file changed, 14 insertions(+), 7 deletions(-)

commit 36038fd1123a5a0277ba34e87fc89f0f319aefc6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 10 00:28:30 2018 +0100

    +hidden

 src/wmtaskbar.h | 1 +
 1 file changed, 1 insertion(+)

commit e52b8b278ba1c8f0d6e5f8e83dcaf54f89cc9fdb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 10 00:27:52 2018 +0100

    +extract.

 src/ypointer.h | 3 +++
 1 file changed, 3 insertions(+)

commit e07132ecdd228a586a710da15a2a02dec60833d1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Dec 5 22:30:06 2018 +0100

    Fix resize of tiny windows.

 src/decorate.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit fb5d77863a06151295d0ddafc2fa965f9950b8c8
Author: Dingzhong Chen <wsxy162@gmail.com>
Date:   Tue Dec 4 10:39:24 2018 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 99.5% (463 of 465 strings)

 po/zh_CN.po | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

commit 6aa1b6beaa269fa8d323f34106c9915a65911848
Author: Dingzhong Chen <wsxy162@gmail.com>
Date:   Tue Dec 4 10:08:28 2018 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 99.5% (463 of 465 strings)

 po/zh_CN.po | 345 +++++++++++++++++++++-----------------------------------
 1 file changed, 129 insertions(+), 216 deletions(-)

commit 9c6d50a82af0a3850e995c5326bde1c83878c076
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Mon Dec 3 15:09:46 2018 -0700

    correct uninitialized loop variable

 src/decorate.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit fdc93458b99d20e0d165435ecc4adbafdf069a87
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 3 21:07:41 2018 +0100

    Check against empty iconPaths.

 src/yicon.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 05a4b8d702e41e020db853651dbff6b2a9caa699
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 3 20:39:47 2018 +0100

    Fix for yximage for themes which define their own cursors in case X
    depth is 32 bits.

 src/ycursor.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 479a1e1fddbd367c7f5704bac99010610172a297
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Dec 3 01:09:06 2018 +0100

    Fixes for locating background images in theme directory for issue #319.

 src/icewmbg.cc | 49 +++++++++++++++++++++++++++++++++++++++++++++----
 1 file changed, 45 insertions(+), 4 deletions(-)

commit 0a06fedc498e28252071ad1c3fa4067ced2b4949
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 23:44:07 2018 +0100

    complete and correct maximization

 src/decorate.cc  | 19 ++++++++++---------
 src/wmaction.h   |  2 ++
 src/wmapp.cc     |  5 ++++-
 src/wmclient.h   |  3 +++
 src/wmframe.cc   |  3 +++
 src/wmwinlist.cc | 13 ++++++++++++-
 6 files changed, 34 insertions(+), 11 deletions(-)

commit dd8e27e7789a211bfd0646a8af74e8d4fe37d1bc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 23:23:17 2018 +0100

    If taskBarWorkspacesLeft is false then keep collapse button rightmost.
    Also honor taskBarShowWorkspaces option.
    Only show or configure edge trigger if taskBarAutoHide is true.
    Reduce taskbar painting a bit.
    Only activate taskbar if it can make use of keyboard input.
    Update taskbar layer info in frame.
    Repaint collaps button when needed.
    Update location for collapsing.

 src/wmtaskbar.cc | 51 +++++++++++++++++++++++++++++++++++----------------
 1 file changed, 35 insertions(+), 16 deletions(-)

commit e365f9f7573988fe983c045b5f0a89f16737de83
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 22:46:29 2018 +0100

    fix typos

 man/icewmbg.pod | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 6d9c269e79424c5255297fa1b95f06bd0662e875
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 22:46:07 2018 +0100

    simplify.

 man/icewm.pod | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit 1e28f4b6fbcd369f993010d7a7008f8ede805bf7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 22:45:16 2018 +0100

    Add menusel.xpm to Gradients for CrystalBlue.

 lib/themes/CrystalBlue/default.theme | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 2c9b9f984d51692201d97531546f1cd3478cb250
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 22:44:23 2018 +0100

    add icewm icon 32x32

 lib/icons/icewm_32x32.png | Bin 0 -> 1568 bytes
 1 file changed, 0 insertions(+), 0 deletions(-)

commit 223ea2ed00b9184e8ae7b722e35b1793bac433a4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 22:22:21 2018 +0100

    Don't subject taskbar to manual placement.
    If client destroyed then hide frame before destroying.
    Don't try to focus frames where the client is destroyed.
    When switching to a workspace without a previous focused window
    focus the window which is directly under the mouse.
    Avoid a case where nothing is focused, but a focusable window exists
    by remembering at least one focusable window.

 src/wmmgr.cc | 49 ++++++++++++++++++++++++++++++++++++++++++-------
 src/wmmgr.h  |  1 +
 2 files changed, 43 insertions(+), 7 deletions(-)

commit 67951ffc03531efbaf380a9d1649b54853ac2d20
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 21:34:22 2018 +0100

    Detect image file types for filenames without extensions to restart
    support for workspace button icons.

 src/yximage.cc | 30 ++++++++++++++++++++++++++++--
 1 file changed, 28 insertions(+), 2 deletions(-)

commit 4fed88a1075874c17fdeb93ae80574c8937b269d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 21:16:17 2018 +0100

    typo in restartClient path

 src/wmapp.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c2f729c9a7d22109437380a724bf1567006d8d0b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 21:10:36 2018 +0100

    Fix resize of tiny windows.

 src/decorate.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a82ac6df3187fa869fa39c3facd5ff2d46b340cf
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 21:07:42 2018 +0100

    Copy args in restartClient in case unmanageClients deletes args memory.

 src/wmapp.cc | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

commit a64028ccc2cbc14e43f919aa225a4cf8fec5dc35
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 21:04:46 2018 +0100

    Add extend and new YStringArray constructur for char args.

 src/yarray.cc | 27 ++++++++++++++++++++++++++-
 src/yarray.h  |  2 ++
 2 files changed, 28 insertions(+), 1 deletion(-)

commit 5b59425994b6167268ddf5ab8774832dc2878e9d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 21:02:21 2018 +0100

    Lookup absolute icewm path in case program_invocation_name is useless
    to fix backtraces. Also filter out useless data from backtraces.

 src/base.h  |  6 ++--
 src/misc.cc | 90 +++++++++++++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 89 insertions(+), 7 deletions(-)

commit 625675d8787f5c6a467d84a0a950b425dfa14823
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 21:00:10 2018 +0100

    Clear cache at cycle to reduce memory.  Also remove superfluous warning
    to fix #313.

 src/icewmbg.cc | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit ce7c13183f18bef6971879ef9b3e1a1572f367bd
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Dec 2 20:58:30 2018 +0100

    Simplify warning.

 src/ypaths.cc | 7 ++-----
 1 file changed, 2 insertions(+), 5 deletions(-)

commit 546ed40c4aca6910b0fee2593b30aceaa8d00cff
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Thu Nov 22 18:51:53 2018 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (465 of 465 strings)

 po/pt_BR.po | 66 +++++++++------------------------------------------------
 1 file changed, 10 insertions(+), 56 deletions(-)

commit b4704a48e468dc8344ef7ea7dab57d44a2023f2a
Author: Alessio Adamo <alessio.adamo@gmail.com>
Date:   Thu Nov 15 15:21:47 2018 +0000

    Translated using Weblate (Italian)

    Currently translated at 100.0% (465 of 465 strings)

 po/it.po | 381 +++++++++++++++++++++++------------------------------------
 1 file changed, 146 insertions(+), 235 deletions(-)

commit ec7a33d5521ae2f2b5aee90a80155259fe4cc674
Merge: 89bc0ad3 ce174aa2
Author: Brian Bidulock <bidulock@openss7.com>
Date:   Sun Nov 11 12:30:48 2018 -0700

    Merge pull request #315 from bsiegert/nls

    Two build fixes for NetBSD

commit ce174aa2c8445a81e3e4acbdbf2b9e78a225e29c
Author: Benny Siegert <bsiegert@gmail.com>
Date:   Sun Nov 11 20:25:07 2018 +0100

    Fix compilation of PPP meter in NetBSD

 src/apppstatus.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9c56b1f3a06b80fa7cd4b5bbe1dc9ef5dfaac1f6
Author: Benny Siegert <bsiegert@gmail.com>
Date:   Sun Nov 11 17:36:42 2018 +0100

    Make JCS extension usage conditional.

    JCS_EXT_RGBA is a libjpeg-turbo extension, normal libjpeg does not
    have it.

 src/yximage.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit 8436ee1e9b5dc936f870695256aafd6e99f32495
Author: Benny Siegert <bsiegert@gmail.com>
Date:   Sun Nov 11 17:31:19 2018 +0100

    Cast iconv arg to correct type for NetBSD

    This explicitly casts one argument to const char** to avoid the following
    error:

    /home/bsiegert/src/github.com/bsiegert/icewm/src/ylocale.cc: In static
    member function 'static YUChar* YLocale::unicodeString(const YLChar*,
    size_t, size_t&)':
    /home/bsiegert/src/github.com/bsiegert/icewm/src/ylocale.cc:162:46:
    error: invalid conversion from 'char**' to 'const char**' [-fpermissive]
         if (0 > (int) iconv(instance->toUnicode, &inbuf, &inlen, &outbuf,
         &outlen))
                                                  ^~~~~~
    In file included from
    /home/bsiegert/src/github.com/bsiegert/icewm/src/ylocale.h:12:0,
                     from
                     /home/bsiegert/src/github.com/bsiegert/icewm/src/ylocale.cc:12:
    /usr/include/iconv.h:46:8: note:   initializing argument 2 of 'size_t
    iconv(iconv_t, const char**, size_t*, char**, size_t*)'
     size_t iconv(iconv_t, const char ** __restrict,

 src/ylocale.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 89bc0ad3908d12837bc476453631766b93557601
Author: Antoine Belvire <antoine.belvire@opensuse.org>
Date:   Wed Nov 7 20:35:35 2018 +0000

    Translated using Weblate (French)

    Currently translated at 87.9% (409 of 465 strings)

 po/fr.po | 298 ++++++++++++++++++++++-------------------------------------
 1 file changed, 109 insertions(+), 189 deletions(-)

commit 3c7a55f70a700efca680c2c30ff49e2c25db6b25
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Tue Oct 23 10:55:24 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (465 of 465 strings)

 po/sk.po | 51 +++++----------------------------------------------
 1 file changed, 5 insertions(+), 46 deletions(-)

commit ec70ec38742a4ae5e7461a0651526362b875897d
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Oct 31 13:18:46 2018 +0100

    A few fixes/improvements of the German translation

 po/de.po | 25 ++++++++++++-------------
 1 file changed, 12 insertions(+), 13 deletions(-)

commit feb0adf05d4e9256f7c5f94897b604b02582535f
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Wed Oct 31 20:27:22 2018 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (465 of 465 strings)

 po/de.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 92c637747a8d1f52d1bad561059c80cc30b532a5
Author: jc sl <trcs@gmx.com>
Date:   Wed Oct 31 19:26:25 2018 +0000

    Translated using Weblate (Spanish)

    Currently translated at 93.5% (435 of 465 strings)

 po/es.po | 121 +++++++++++++++++------------------------------------------
 1 file changed, 35 insertions(+), 86 deletions(-)

commit 6f44daa38dff7ed157ed7cbd17d33ef948a02737
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Wed Oct 31 08:51:36 2018 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (465 of 465 strings)

 po/de.po | 71 +++++++++++-------------------------------------------------
 1 file changed, 13 insertions(+), 58 deletions(-)

commit eadc184db21839108310d91726477a56b09ba7a6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 29 21:20:50 2018 +0100

    Honor WinHintsSkipFocus. Avoid showing the same app multiple times.

 src/wmswitch.cc | 32 ++++++++++++++++++--------------
 1 file changed, 18 insertions(+), 14 deletions(-)

commit e48e64439080d049ebddddd1e4b499aa474da17a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 29 21:19:31 2018 +0100

    Set sticky for quickswitch.

 src/wmwinlist.cc | 17 ++++++-----------
 1 file changed, 6 insertions(+), 11 deletions(-)

commit 9a635bbfc88f0ec86c3b925f82b542519997c708
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 29 21:19:04 2018 +0100

    typo

 src/ypixmap.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 77196178450accf0a959155c94ec8c1c401633a8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 29 02:28:46 2018 +0100

    update man

 man/icesound.pod  | 15 ++++++---------
 man/icewm.pod     |  5 +++++
 man/icewmhint.pod | 48 ++++++++++++++++++++++++------------------------
 3 files changed, 35 insertions(+), 33 deletions(-)

commit 98724ae809d7d827cc456da32c938b80a6963694
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 29 02:27:00 2018 +0100

    Switch among windows from the same WM_CLASS #306.

 src/bindkey.h   |  2 ++
 src/default.h   |  1 +
 src/wmapp.cc    |  2 +-
 src/wmclient.cc | 49 ++++++++++++++++---------------
 src/wmclient.h  | 16 ++++++++--
 src/wmmgr.cc    | 84 ++++++++++++++---------------------------------------
 src/wmprog.cc   |  3 ++
 src/wmswitch.cc | 23 +++++++++++++--
 src/wmswitch.h  |  5 +++-
 9 files changed, 92 insertions(+), 93 deletions(-)

commit 5db5929ad6653e64a3a5341b31b1e53df3e5c3e1
Author: Sir Mobus Gochfulshigan Dorphin Esquire XXIII <celestialtuba@gmail.com>
Date:   Sun Oct 28 05:53:59 2018 -0400

    Combine fixes for issue #232 (#309)

    Contains @gijsbers fix for runonce and @Code7R command to roll ss as
    well as checking if ss exists (even on GNU/Linux systems, older systems
    will still have netstat and may not have ss)

 src/default.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b5e19f00d34f1334c4530a53da23c23dd01940ec
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 27 05:44:53 2018 +0200

    unneeded optimize fTaskBarApp.

 src/wmframe.cc | 9 ---------
 1 file changed, 9 deletions(-)

commit 0be02dcbe3727a6cf8a47d81f9234b294a0872df
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 27 05:42:47 2018 +0200

    Fix missing urgency task button for #301.

 src/atasks.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 6c586babdadcf155c40938dfc0bd3677937208e2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 27 05:40:45 2018 +0200

    FocusOnAppRaise need not be set by focus models, because it is false
    always.

 src/wmapp.cc | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit c7e2f8c1e5bd53426db875199b0af8806739a0ca
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 25 05:38:01 2018 +0200

    Keep workspace if task flashing and FocusCurrentWorkspace for #301.

 src/atasks.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0005b24518160f6d5a60583954b1b4c35d4f1176
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 25 05:21:13 2018 +0200

    Draw task icon after left icon for #239.

 src/atasks.cc | 11 ++++++-----
 1 file changed, 6 insertions(+), 5 deletions(-)

commit c2cddd2d75a264262ba98f0023e51e163390ffc0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 25 05:20:38 2018 +0200

    update strtest

 src/strtest.cc | 10 ++++++++++
 1 file changed, 10 insertions(+)

commit dd237bf8bde5369777072106b5f29d77e7f93877
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 25 05:19:58 2018 +0200

    better

 src/upath.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit b9af4125c71217015b85824aa2223ceef4f1c6f6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 25 05:13:23 2018 +0200

    typo

 src/upath.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 885b905b3e1920c837da11f0eb71012b828abe8e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 24 23:15:40 2018 +0200

    fix YImageGDK::subimage. save YImages for when debugging.

 src/yimage.h      |  1 +
 src/yimage_gdk.cc | 19 ++++++++++--
 src/yximage.cc    | 81 +++++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 99 insertions(+), 2 deletions(-)

commit 4117c00ce5dbb36ab67e4b74e0b05dca29151258
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 24 23:13:24 2018 +0200

    expand + replaceExtension.

 src/upath.cc | 48 ++++++++++++++++++++++++++++++++++++++++--------
 src/upath.h  |  3 +++
 2 files changed, 43 insertions(+), 8 deletions(-)

commit f3109ac3dd931a5e9277ad7300430a2b70368501
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 24 18:22:01 2018 +0200

    also subtract right from width.

 src/atasks.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ea771bfb3896a0f357ce0b8f00ca5f2f1b0f4b9e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 24 18:16:35 2018 +0200

    refs public

 src/wpixres.cc | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 1ecd9821c76ed70e269069b2443b666472314fd9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 24 18:16:04 2018 +0200

    match must be const.

 src/mstring.cc | 2 +-
 src/mstring.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 7527a7c11d633c9d98ee3257ed73d040432165d2
Author: Aleš Kastner <alkas@volny.cz>
Date:   Tue Oct 23 18:39:09 2018 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (465 of 465 strings)

 po/cs.po | 71 +++++++++++-------------------------------------------------
 1 file changed, 13 insertions(+), 58 deletions(-)

commit 4fa1708900d9a13486d95c021cb9f6a9456b3459
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 23 19:54:32 2018 +0200

    use TaskbuttonIconOffset for #239. Better window context menus. Don't
    use FocusCurrentWorkspace for window menu for #301.

 src/atasks.cc    | 72 ++++++++++++++++++++++++++++++++++++++++++-----
 src/atray.cc     |  2 +-
 src/decorate.cc  | 58 +++++++++++++++-----------------------
 src/movesize.cc  |  2 +-
 src/wmclient.h   | 12 +++++++-
 src/wmframe.cc   | 14 +++++++---
 src/wmframe.h    | 21 +++++++-------
 src/wmmgr.cc     |  8 ------
 src/wmmgr.h      |  2 --
 src/wmswitch.cc  | 10 ++-----
 src/wmwinlist.cc | 79 ++++++++++++++++++++++++++++++++++++++++------------
 src/wmwinmenu.cc |  2 +-
 12 files changed, 186 insertions(+), 96 deletions(-)

commit b8f79ca35b12b98e4957e748bb4b30eb78308498
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 23 19:53:19 2018 +0200

    checkCommand.

 src/ymenu.cc | 6 ++++++
 src/ymenu.h  | 1 +
 2 files changed, 7 insertions(+)

commit 6a53735c06aa83fa649219ebf02b7c1f139a26a0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 23 19:52:50 2018 +0200

    calculate icons for TaskbuttonIconOffset.

 src/wpixres.cc | 103 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 103 insertions(+)

commit 83b83111f748377156c43fa0f84b21adb26519fb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 23 19:50:44 2018 +0200

    delete AutoScroll when done.

 src/ywindow.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 8c46f5115f81b3694443d40d5f20416304333d30
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 23 19:50:19 2018 +0200

    subimage for YPixmap

 src/ypixmap.cc | 10 ++++++++++
 src/ypixmap.h  |  1 +
 2 files changed, 11 insertions(+)

commit a764a8fc478215edbcd1c47c4e8efb6f0d8b4705
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 23 19:49:52 2018 +0200

    subimage for YImage.

 src/yimage.h      |  2 ++
 src/yimage_gdk.cc | 11 +++++++++++
 2 files changed, 13 insertions(+)

commit b53b97f8fc03686544d14415aa67775ad1061371
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 23 19:48:42 2018 +0200

    icons for TaskbuttonIconOffset

 src/wpixmaps.h | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 7f7c55acd6617a2f1b185b08880de7ec99d1f823
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 23 19:47:45 2018 +0200

    TaskbuttonIconOffset

 src/themable.h | 2 ++
 1 file changed, 2 insertions(+)

commit b5498c9fb483e8ae88ca2a72d9994d1ec6522e40
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 23 19:46:36 2018 +0200

    fix Look and WorkspaceNames in "preferences". Add -o,--output option.

 src/genpref.cc | 56 ++++++++++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 48 insertions(+), 8 deletions(-)

commit 418af47255ae2ba0ec1a839798fd26d4a3970230
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Tue Oct 23 10:55:24 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 99.7% (464 of 465 strings)

 po/sk.po | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 0f191b7d193937ccb2591266306fc5e96e8bbcdc
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Mon Oct 22 22:45:54 2018 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (465 of 465 strings)

 po/da.po | 66 +++++++++---------------------------------------------------
 1 file changed, 10 insertions(+), 56 deletions(-)

commit b1b5c41f293fa66c95b1f0ca354c8dba7fb623b1
Author: David Medina <medipas@gmail.com>
Date:   Mon Oct 22 15:29:48 2018 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (465 of 465 strings)

 po/ca.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 6b1b6fc33a2673585f572abdc48bd28424d597b4
Author: David Medina <medipas@gmail.com>
Date:   Mon Oct 22 15:28:18 2018 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (465 of 465 strings)

 po/ca.po | 85 ++++++++++++++----------------------------------------------
 1 file changed, 20 insertions(+), 65 deletions(-)

commit 25587e660ce37c14152a56c021d941c92e6196ce
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Mon Oct 22 10:26:03 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 99.5% (463 of 465 strings)

 po/sk.po | 14 +++++---------
 1 file changed, 5 insertions(+), 9 deletions(-)

commit 5715734e300cb036da3d3de935bbc3b405b7d12a
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Sat Oct 20 23:08:59 2018 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (465 of 465 strings)

 po/ja.po | 80 ++++++++++++------------------------------------------------
 1 file changed, 15 insertions(+), 65 deletions(-)

commit 2e7443e30f02979a5c8e26aa2f8f0957ca3f4235
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Sat Oct 20 21:07:47 2018 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (465 of 465 strings)

 po/nl.po | 68 ++++++++++--------------------------------------------------
 1 file changed, 11 insertions(+), 57 deletions(-)

commit 310fe0c5774f536e049028bf8ba2f75f64db20be
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 20 19:00:20 2018 +0200

    restore dist.sh build.

 INSTALL-cmakebuild.md | 44 ++++++++++++++++++++++++++++++++++++++++++++
 src/Makefile.am       |  1 +
 2 files changed, 45 insertions(+)

commit 0e651da132970cbf4d0f36864f5a84e9616fe4ad
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 20 18:35:53 2018 +0200

    update po files

 po/ar.po     | 357 +++++++++++++++++++++++++++++++----------------------
 po/be.po     | 312 +++++++++++++++++++++++++----------------------
 po/bg.po     | 312 +++++++++++++++++++++++++----------------------
 po/ca.po     | 361 +++++++++++++++++++++++++++++++-----------------------
 po/cs.po     | 361 +++++++++++++++++++++++++++++++-----------------------
 po/da.po     | 361 +++++++++++++++++++++++++++++++-----------------------
 po/de.po     | 361 +++++++++++++++++++++++++++++++-----------------------
 po/el.po     | 312 +++++++++++++++++++++++++----------------------
 po/en.po     | 300 +++++++++++++++++++++++----------------------
 po/es.po     | 361 +++++++++++++++++++++++++++++++-----------------------
 po/fi.po     | 315 ++++++++++++++++++++++++-----------------------
 po/fr.po     | 357 +++++++++++++++++++++++++++++++----------------------
 po/he.po     | 312 +++++++++++++++++++++++++----------------------
 po/hr.po     | 310 ++++++++++++++++++++++++----------------------
 po/hu.po     | 360 +++++++++++++++++++++++++++++++-----------------------
 po/icewm.pot | 304 +++++++++++++++++++++++----------------------
 po/id.po     | 312 +++++++++++++++++++++++++----------------------
 po/it.po     | 357 +++++++++++++++++++++++++++++++----------------------
 po/ja.po     | 361 +++++++++++++++++++++++++++++++-----------------------
 po/ko.po     | 357 +++++++++++++++++++++++++++++++----------------------
 po/lt.po     | 312 +++++++++++++++++++++++++----------------------
 po/lv.po     | 316 ++++++++++++++++++++++++-----------------------
 po/mk.po     | 312 +++++++++++++++++++++++++----------------------
 po/nb.po     | 315 ++++++++++++++++++++++++-----------------------
 po/nl.po     | 361 +++++++++++++++++++++++++++++++-----------------------
 po/no.po     | 315 ++++++++++++++++++++++++-----------------------
 po/pl.po     | 357 +++++++++++++++++++++++++++++++----------------------
 po/pt_BR.po  | 361 +++++++++++++++++++++++++++++++-----------------------
 po/ro.po     | 312 +++++++++++++++++++++++++----------------------
 po/ru.po     | 365 ++++++++++++++++++++++++++++++++-----------------------
 po/sk.po     | 361 +++++++++++++++++++++++++++++++-----------------------
 po/sl.po     | 312 +++++++++++++++++++++++++----------------------
 po/sv.po     | 357 +++++++++++++++++++++++++++++++----------------------
 po/tr.po     | 316 ++++++++++++++++++++++++-----------------------
 po/uk.po     | 357 +++++++++++++++++++++++++++++++----------------------
 po/vi.po     | 312 +++++++++++++++++++++++++----------------------
 po/zh_CN.po  | 361 +++++++++++++++++++++++++++++++-----------------------
 po/zh_TW.po  | 361 +++++++++++++++++++++++++++++++-----------------------
 38 files changed, 7147 insertions(+), 5659 deletions(-)

commit 599c6de8fc27281985f6f9eef75456681dad7202
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 20 18:22:56 2018 +0200

    wordexp portability

 src/wmapp.cc | 2 +-
 src/yicon.cc | 6 ++++++
 2 files changed, 7 insertions(+), 1 deletion(-)

commit 492a65379c17975e9f697382a4eca159d8c78b2c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 20 18:15:35 2018 +0200

    Show the valid bounds for bad arguments.

 src/yconfig.cc | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit 6434e6d91da0ef18c5c5a45ab7a05a14c5d3fd1c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 20 18:14:59 2018 +0200

    fix typo

 src/wmapp.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 90ab9fa57d8806784857f64cd24df0c735cdef69
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Oct 18 22:37:34 2018 +0200

    fix leak

 src/wmmgr.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit af5fed1fe3fa50b478041a6e1b3fb11389cf4d4c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 17 21:10:56 2018 +0200

    Optimization

 src/wmapp.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit e31395acfc6c35cbebcfedc775ab1f5f32c5ed9c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 16 22:37:43 2018 +0200

    icewm icon

 lib/Makefile.am           |   1 +
 lib/icons/icewm_16x16.png | Bin 0 -> 777 bytes
 2 files changed, 1 insertion(+)

commit 85822f2aeed1562e6822110c3472631b8f765103
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 16 22:31:03 2018 +0200

    Warn if SVG is not supported for gdk-pixbuf without librsvg.

 configure.ac | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 137ad5a5eb28f3f65b44617a279638016dd2d2de
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 16 22:29:40 2018 +0200

    typo

 man/icewm.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 56584c50feb3b81e930d0cdcc696dcdcf34ca3b0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 16 22:28:15 2018 +0200

    Don't require a restart to load Custom focus mode, but
    reload the focus options from file.

 src/default.h |  1 -
 src/wmapp.cc  | 32 +++++++++++++++++++++++++-------
 src/wmapp.h   |  8 +++++---
 src/wmprog.cc |  2 +-
 4 files changed, 31 insertions(+), 12 deletions(-)

commit 21ca91380565caa38fe1a4640dc4533b1bc12f85
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Oct 16 22:23:46 2018 +0200

    Expand IconPath with wordexp for #305.
    Fix poor handling of icons not found (speedup!).
    Use more icon paths to locate more application icons.

 src/yicon.cc | 89 +++++++++++++++++++++++++++++---------------------------
 src/ypaths.h |  1 +
 src/yprefs.h | 15 ++++++++--
 3 files changed, 60 insertions(+), 45 deletions(-)

commit 1b400cf7dc8f3f6ca72103c2422294dac53ff8e7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 15 23:02:25 2018 +0200

    fix runonce #301.

 src/wmapp.cc  | 26 ++++++++++++--------------
 src/wmapp.h   |  6 ++++--
 src/wmmgr.cc  |  7 +++++--
 src/wmprog.cc |  3 ++-
 src/wmprog.h  |  1 +
 5 files changed, 24 insertions(+), 19 deletions(-)

commit 6bf0df90563ec798100019f89ee5143b41a8b930
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 15 23:02:09 2018 +0200

    init unique

 src/yxcontext.h | 1 +
 1 file changed, 1 insertion(+)

commit 24ade318eead63ecce0e6c2e4ffa1b467865c69b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 15 08:44:23 2018 +0200

    Add missing.

 man/icewm-menu.pod       | 18 +++++++++++--
 man/icewm-programs.pod   | 30 ++++++++++++++--------
 man/icewm-winoptions.pod | 60 +++++++++++++++++++++++++-------------------
 man/icewm.pod            | 40 ++++++++++++++++++-----------
 4 files changed, 95 insertions(+), 53 deletions(-)

commit f0d9d6914fa16951e9fc9308c312f2dcff0434fa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 15 08:40:47 2018 +0200

    Fix window matching by pid for daemons.
    More efficient window resource matching.
    Use OO context. Complete windowlist menu.
    YWindow fetchTitle. #301.

 src/wmapp.cc     |  34 +++++++-----
 src/wmapp.h      |   2 +-
 src/wmclient.cc  |  39 +++++++++-----
 src/wmframe.cc   |  23 +++-----
 src/wmmgr.cc     | 149 ++++++++++++++++++++++++++++++---------------------
 src/wmmgr.h      |   6 +--
 src/wmswitch.cc  |   5 ++
 src/wmwinlist.cc |  15 ++++--
 src/ywindow.cc   |  48 ++++++-----------
 src/ywindow.h    |   1 +
 src/yxapp.cc     |  27 +++-------
 11 files changed, 190 insertions(+), 159 deletions(-)

commit d72c8f38a5a0b5e3c1be859784925713eb0940dc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Oct 15 08:40:21 2018 +0200

    OO context (traceable)

 src/yxcontext.h | 123 ++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 123 insertions(+)

commit d0b5f425e53f7da1f6653b2454b737914dabeee4
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Oct 14 12:18:23 2018 +0200

    Fix fdomenu build when XTERMCMD override is used

 src/fdomenu.cc | 1 +
 1 file changed, 1 insertion(+)

commit 15012e018e6580de9952f6dbad037bd1063c6b42
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Oct 13 08:10:03 2018 +0200

    fix WM_CLASS for NetStatus for #232.

 src/default.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit d4288e3162a00e9e49f9e43ccc9cb592235ce6a0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 12 21:29:45 2018 +0200

    document new options

 man/icewm-preferences.pod | 4 ++++
 man/icewm.pod             | 6 ++++++
 2 files changed, 10 insertions(+)

commit 508242a4eff3710c40b23ada0a36cd92398ca1ec
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 12 21:28:45 2018 +0200

    FocusCurrentWorkspace moves newly focused windows to current workspace
    for #301.

 src/default.h  |  2 ++
 src/wmframe.cc | 11 ++++++++---
 2 files changed, 10 insertions(+), 3 deletions(-)

commit 5789198ee131a25ab271d6f950b5cbaf1c01f77f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 12 19:18:32 2018 +0200

    always open applet command windows on current workspace for #301.

 src/aclock.cc     |  3 ++-
 src/aclock.h      |  1 +
 src/acpustatus.cc |  6 ++++--
 src/acpustatus.h  |  1 +
 src/amailbox.cc   |  5 +++--
 src/amailbox.h    |  1 +
 src/apppstatus.cc |  5 +++--
 src/apppstatus.h  |  1 +
 src/wmapp.cc      | 52 ++++++++++++++++++++++++++++++++++++++++++++-------
 src/wmapp.h       | 10 ++++++----
 src/wmclient.cc   | 25 ++++++++++++++++++++-----
 src/wmclient.h    |  3 +++
 src/wmmgr.cc      | 10 +++++-----
 src/wmmgr.h       |  4 ++--
 14 files changed, 97 insertions(+), 30 deletions(-)

commit 85d2d70657f7961da63ba0bf01baaa759becad0a
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 12 19:16:29 2018 +0200

    reuse common internationalized strings.

 src/wmprog.cc | 10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

commit c15848ff3a34b58f6a699c0432d2b656215933d4
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 12 19:16:07 2018 +0200

    complete menu of window list.

 src/wmwinlist.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit d08549031d456af2df90f72885ec98062da3da58
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 12 19:15:30 2018 +0200

    MouseWinLower for #304

 src/bindkey.h      |  2 ++
 src/default.h      |  1 +
 src/wmcontainer.cc | 16 +++++++++++++---
 3 files changed, 16 insertions(+), 3 deletions(-)

commit 309c14ab9fc323868fc9a314579312b9dbccb6b5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Oct 12 19:13:03 2018 +0200

    WMKey ops

 src/yconfig.h | 4 ++++
 1 file changed, 4 insertions(+)

commit a0641d71c2e1dfc61f608a1673cc48b52272dd1f
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Mon Oct 8 18:40:59 2018 +0000

    Translated using Weblate (German)

    Currently translated at 100.0% (464 of 464 strings)

 po/de.po | 24 ++++++++++++------------
 1 file changed, 12 insertions(+), 12 deletions(-)

commit ae5029d2a1ac4ddc5f68f5c057b0e1430f8695b7
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Mon Oct 8 13:38:41 2018 +0000

    Translated using Weblate (German)

    Currently translated at 97.6% (453 of 464 strings)

 po/de.po | 38 +++++++++++++++++++-------------------
 1 file changed, 19 insertions(+), 19 deletions(-)

commit 0ba03bfc142983d4fd968f38ac44204b08573ab5
Author: Dingzhong Chen <wsxy162@gmail.com>
Date:   Sun Oct 7 16:42:15 2018 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 75.6% (351 of 464 strings)

 po/zh_CN.po | 22 ++++++++++------------
 1 file changed, 10 insertions(+), 12 deletions(-)

commit f5952363403859cf3b53ca3fdba3ee7a83bd9011
Author: Yi-Jyun Pan <pan93412@gmail.com>
Date:   Fri Oct 5 15:30:37 2018 +0000

    Translated using Weblate (Chinese (Taiwan))

    Currently translated at 76.9% (357 of 464 strings)

 po/zh_TW.po | 70 ++++++++++++++++++++++++---------------------------------
 1 file changed, 29 insertions(+), 41 deletions(-)

commit ae66bc6795632661e1206f0bab9d97bafd9824ec
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 3 21:49:18 2018 +0200

    fix typo after hash-sign. mention IceWM Theme Creation Howto.

 man/icewm.pod | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

commit a916c57ed59b0b582bdb85e0bb2e55f1150ae7a9
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 3 21:44:53 2018 +0200

    fix return type of address operator.

 src/ypointer.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 641e8f0032dd8c4245ac85d94fb493c79874fd34
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 3 21:44:04 2018 +0200

    Check conf for nonempty in preferencesPath.

 src/wmprog.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1ed7ddd9cd8c11b5ddf5728743ecb57f60142fda
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Oct 3 21:43:44 2018 +0200

    fix missing from in copyFrom

 src/upath.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9f885aedfbad31c2f9019db1178524e31a5b7753
Author: David Medina <medipas@gmail.com>
Date:   Wed Oct 3 16:19:42 2018 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (464 of 464 strings)

 po/ca.po | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit c5663c1baf14b92713958ae16bffd69c8911af01
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Oct 3 12:59:31 2018 +0200

    Document the switchkey variant

 man/icewm-keys.pod | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 998f287793f89ba3a49919e9638542335dc3a9b9
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Oct 3 12:38:10 2018 +0200

    Documenting quickswitch key combos, click-to-switch

    And also the dragging and closing features on the task pane.

 man/icewm.pod | 21 +++++++++++++++++++--
 1 file changed, 19 insertions(+), 2 deletions(-)

commit 2941a22a62ff14f8548a6f1244f636141a0a9fb2
Author: Marguerite Su <i@marguerite.su>
Date:   Wed Oct 3 04:23:17 2018 +0000

    Translated using Weblate (Chinese (China))

    Currently translated at 73.9% (343 of 464 strings)

 po/zh_CN.po | 40 +++++++++++++++-------------------------
 1 file changed, 15 insertions(+), 25 deletions(-)

commit 5bb2f74158a52c444279cc7737f9ed1ba585284f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 18:26:27 2018 +0200

    prefer use of loadText.

 src/wmmenu.cc   | 2 +-
 src/wmoption.cc | 2 +-
 src/yconfig.cc  | 2 +-
 3 files changed, 3 insertions(+), 3 deletions(-)

commit 8280ea0623999379d2f39eb83786eb5c883b825e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 18:23:59 2018 +0200

    Cannot save prefs to prefoverride as this makes it impossible to
    overrule when later a preferences file does come into existence.
    Only save to a preferences in getPrivConfDir() unless the configFile
    was overruled on the command line. Before saving prefs copy a default
    preferences from LIBDIR.

 src/wmprog.cc | 47 +++++++++++++++++++++++++++++++++++++++--------
 1 file changed, 39 insertions(+), 8 deletions(-)

commit 5def051d33433d801b893d99e921e6d360411665
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 18:23:27 2018 +0200

    Ensure getPrivConfDir() directory exists.

 src/yapp.cc | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

commit e1d7807e8f26df634a3d4ba73cf32b7618ac700c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 18:21:51 2018 +0200

    Need to remember configFile when saving prefs.

 src/wmapp.cc | 27 ++++++++++++++-------------
 src/wmapp.h  |  5 ++++-
 2 files changed, 18 insertions(+), 14 deletions(-)

commit e63e5fe1fb9eeb142e41ce9db35b8a7060e1d307
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 16:01:26 2018 +0200

    more keys.

 man/icewm.pod | 42 ++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

commit 31358c47ff0f4a8018b596d2622c5e09bf756b39
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 30 15:27:41 2018 +0200

    Let wmswitch focus the right item even without motion

    Or it might fail on touchscreens without any motion or when mouse cursor
    is never moved and the pointer was already in the area.

 src/wmswitch.cc | 38 ++++++++++++++++++++++----------------
 src/wmswitch.h  |  5 ++++-
 2 files changed, 26 insertions(+), 17 deletions(-)

commit 9b4985c0d559a73da995a9fa2971596aa4d3cf0f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 15:28:38 2018 +0200

    task switch keys are too easily mishit and too expertly.

 src/bindkey.h | 10 ++++------
 1 file changed, 4 insertions(+), 6 deletions(-)

commit aaf1bb810d16235c8b38f8c2037d412db83b1846
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 15:27:34 2018 +0200

    remove obsolete comments

 src/wmmgr.cc | 5 -----
 1 file changed, 5 deletions(-)

commit ee3bb63c8b289a76b6492819a53a81bf14b7c5a2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 15:26:30 2018 +0200

    mkdir mode uses upath defaults.

 src/ysmapp.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 847a9ac2dc255792cd84f5cc865f48272f6eb39d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 15:26:01 2018 +0200

    take address

 src/ypointer.h | 2 ++
 1 file changed, 2 insertions(+)

commit b336d1daa9c3596e85dabefefd0efde0a64d05fe
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 15:25:23 2018 +0200

    ystring replace.

 src/yarray.cc | 15 +++++++++++++--
 src/yarray.h  |  1 +
 2 files changed, 14 insertions(+), 2 deletions(-)

commit 28d1f3c42207e41e6e7bdb4e3b567d3fff5a1586
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 15:24:40 2018 +0200

    loadText, copyFrom, testWritable.

 src/upath.cc | 48 +++++++++++++++++++++++++++++++++++-------------
 src/upath.h  |  3 +++
 2 files changed, 38 insertions(+), 13 deletions(-)

commit 46e9267e40d619a69f06dacad8a6a0cdf5cc982b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 15:24:09 2018 +0200

    fix test for NULL

 src/strtest.cc | 17 ++++++++++++++---
 1 file changed, 14 insertions(+), 3 deletions(-)

commit b202d1bafb59c610e1b2bba1fec6df62d6701e9c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 15:23:53 2018 +0200

    nbsp

 src/icehelp.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 86e19e0ea34ea09cfb5214ef38ac8def8c7759d5
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 15:22:32 2018 +0200

    Allow spaces and single quoted strings in TerminalCommand.
    For NetCommand differentiate between Linux and others.

 src/aaddressbar.cc | 70 ++++++++++++++++++++++++++++++++++++++------------
 src/aaddressbar.h  |  1 +
 src/default.h      | 14 +++++++---
 3 files changed, 64 insertions(+), 21 deletions(-)

commit 5243d44bbdc6cc264eb90b5719adb75046e27a98
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 30 14:28:43 2018 +0200

    Keep the text marking to visualize the final match

    And some related refactoring, less nesting and pointless value passing.
    Also not interpreting directories as final match.

    Addressing part of #297, a proposal displaying solution is yet to come.

 src/aaddressbar.cc | 20 +++++++-------------
 src/aaddressbar.h  |  2 +-
 src/yinput.cc      | 14 ++++++++------
 src/yinputline.h   |  2 +-
 4 files changed, 17 insertions(+), 21 deletions(-)

commit 25538d4058ea2a9bd74973960a75e7655996126e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 30 08:59:23 2018 +0200

    Don't select text after tab completion.

 src/yinput.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit eeddcf2b96e042598b28d1f6dc5c7d874596daf3
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 30 00:27:55 2018 +0200

    Preparations to extract possible completions from globit code

    For #297

 src/globit.c  | 7 ++++++-
 src/globit.h  | 3 ++-
 src/yinput.cc | 6 ++++--
 3 files changed, 12 insertions(+), 4 deletions(-)

commit 8ae9b8bafe85c8614840351ec772a2e85d2a2985
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 26 20:39:50 2018 +0200

    Tab completion should expand to the longest common prefix of all
    partial matches if globit_best returns 2 or higher.

 src/yinput.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit de8d47400fda9a5a1aa4c4670448ab90dee31724
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 26 20:39:07 2018 +0200

    Better links in html manpages.

 man/Makefile.am          | 10 ++++++++--
 man/icehelp.pod          |  2 +-
 man/icewm-winoptions.pod |  2 +-
 man/icewm.pod            |  2 +-
 4 files changed, 11 insertions(+), 5 deletions(-)

commit c52418649e5ced5fb1109ac2d203ad23e29e4fad
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 26 20:36:37 2018 +0200

    Update (generated from index.md using kramdoc).

 doc/icewm.adoc | 3514 +++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 2518 insertions(+), 996 deletions(-)

commit 69026c171717125c0efe65084a42f39eede4ebc4
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Sep 24 17:57:51 2018 +0200

    Revert "Utilize auto_raii helper to avoid memleak on globit responses"

    This reverts commit eb8af4ae037dd76248097804a3db6621cb771aac.

 src/fdomenu.cc | 13 ++++++++++++-
 src/yinput.cc  | 10 ++++------
 src/ypointer.h | 17 -----------------
 3 files changed, 16 insertions(+), 24 deletions(-)

commit eb8af4ae037dd76248097804a3db6621cb771aac
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 22 11:33:04 2018 +0200

    Utilize auto_raii helper to avoid memleak on globit responses

 src/fdomenu.cc | 13 +------------
 src/yinput.cc  | 10 ++++++----
 src/ypointer.h | 17 +++++++++++++++++
 3 files changed, 24 insertions(+), 16 deletions(-)

commit 0ac7580c653a265afe8ad99430147f7b500845a1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 23 20:16:42 2018 +0200

    fix leak

 src/yinput.cc | 16 +++-------------
 1 file changed, 3 insertions(+), 13 deletions(-)

commit 6a77f5050eb0f351e97591ba4d23845b1c25c7f9
Author: Dmitriy Khanzhin <dmitriy.khanzhin@gmail.com>
Date:   Wed Sep 19 18:55:21 2018 +0000

    Translated using Weblate (Russian)

    Currently translated at 100.0% (464 of 464 strings)

 po/ru.po | 292 ++++++++++++++++++++++++++---------------------------------
 1 file changed, 127 insertions(+), 165 deletions(-)

commit ab9e852c367474a79e4e775f4461a393b40bb82d
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Sep 19 18:53:30 2018 +0200

    Don't mistake multiple completion candidates for successful completion

 src/yinput.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6db51cd2f2dc7dbd181d872b64f22814a6c422f0
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Sep 19 18:49:47 2018 +0200

    Option to skip generation of submenues

    For #263.

    Also added loading of translations for menues descriptors that are
    actually used.

 src/fdomenu.cc | 43 +++++++++++++++++++++++++++++++------------
 1 file changed, 31 insertions(+), 12 deletions(-)

commit 0d5e1fc7c40c41c142aff8d8193b23267b1ecad6
Author: Dmitriy Khanzhin <dmitriy.khanzhin@gmail.com>
Date:   Wed Sep 19 08:06:32 2018 +0000

    Translated using Weblate (Russian)

    Currently translated at 73.2% (340 of 464 strings)

 po/ru.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit dd8af6c2921eca8c2551ecd633bc1151e7415eac
Author: Dmitriy Khanzhin <dmitriy.khanzhin@gmail.com>
Date:   Tue Sep 18 18:41:39 2018 +0000

    Translated using Weblate (Russian)

    Currently translated at 72.8% (338 of 464 strings)

 po/ru.po | 62 ++++++++++++++++++++++++------------------------------------
 1 file changed, 25 insertions(+), 37 deletions(-)

commit e40d1048bf2318f1ec0745ca984f6595fc3440c1
Author: jc sl <trcs@gmx.com>
Date:   Mon Sep 17 20:46:19 2018 +0000

    Translated using Weblate (Spanish)

    Currently translated at 87.9% (408 of 464 strings)

 po/es.po | 132 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 66 insertions(+), 66 deletions(-)

commit 000e97d4e82ab8b9c1bd51fbf1796b9ba579f570
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 17 20:52:17 2018 +0200

    Enforce markdown rendering for INSTALL.cmakebuild on Github.

 INSTALL-cmakebuild.md | 41 -----------------------------------------
 INSTALL.cmakebuild    |  1 +
 2 files changed, 1 insertion(+), 41 deletions(-)

commit e4284b0e17e6a02077780c542bae12891033e3eb
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Sep 17 20:16:45 2018 +0200

    No titlebar or border for shaped applications like oclock and xeyes.
    This fixes #192.

 src/wmframe.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 85f0f75022edc0af8f024064293302e6a24b99f2
Merge: 730df6c8 88f1ef75
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 16 22:14:38 2018 +0200

    Merge branch 'icewm-1-4-BRANCH' of github.com:bbidulock/icewm into
    icewm-1-4-BRANCH

commit 730df6c8b1e1e51535cec00a7d01e589fd597e10
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 16 20:17:30 2018 +0200

    Don't complain about -C, --copying options.

 src/wmapp.cc | 2 ++
 1 file changed, 2 insertions(+)

commit 88f1ef751fd8ea3fd9fd1e4b7c8c7e3276ddf3bd
Merge: 7ae7fa25 9e97a315
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Sun Sep 16 18:17:18 2018 +0000

    Merge remote-tracking branch 'origin/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 7ae7fa25acac1dfa0c7bfb45a3b6fc214e66baff
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Sun Sep 16 16:26:17 2018 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (464 of 464 strings)

 po/da.po | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 9e97a315a74ea3125296fd77c3f4061d2b963bf7
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 16 20:16:47 2018 +0200

    add -C, --copying options

 icewm-set-gnomewm | 16 ++++++++++++----
 1 file changed, 12 insertions(+), 4 deletions(-)

commit db894f2d596f9ace7172f1572fea7e2d422f154c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 16 20:15:31 2018 +0200

    update, complete, correct doc+man

 doc/icewm.adoc             | 29 ++++++++++++-----------
 man/icehelp.pod            | 53 ++++++++++++++++++++++++++++++++++++++++++
 man/icesh.pod              | 50 +++++++++++++++++++++------------------
 man/icewm-env.pod          |  4 +++-
 man/icewm-focus_mode.pod   |  3 ++-
 man/icewm-menu-fdo.pod     |  4 +++-
 man/icewm-menu.pod         |  5 ++--
 man/icewm-preferences.pod  |  3 ++-
 man/icewm-prefoverride.pod |  3 ++-
 man/icewm-programs.pod     |  4 +++-
 man/icewm-session.pod      | 38 ++++++++++++++++++++++++++++++
 man/icewm-shutdown.pod     |  5 +++-
 man/icewm-startup.pod      |  5 +++-
 man/icewm-theme.pod        |  4 +++-
 man/icewm-toolbar.pod      |  5 +++-
 man/icewm-winoptions.pod   |  4 ++--
 man/icewm.pod              | 26 +++++++++++----------
 man/icewmbg.pod            | 14 +++++------
 man/icewmhint.pod          |  2 +-
 19 files changed, 191 insertions(+), 70 deletions(-)

commit aed70ed498258a3f1b4f96bfab3c4ba6fa74460d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 16 20:14:33 2018 +0200

    update links

 CONTRIBUTING.md | 8 ++++----
 README.md       | 6 +++---
 README.md.in    | 6 +++---
 3 files changed, 10 insertions(+), 10 deletions(-)

commit f831e6d2530324f6cfe45ac8898c4e3d81aaddc7
Author: Aleš Kastner <alkas@volny.cz>
Date:   Sun Sep 2 08:46:11 2018 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (464 of 464 strings)

 po/cs.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit ef9f34ae156bdbefa58612626e00cff8a682cc28
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 12 20:32:29 2018 +0200

    icewmbg options to shuffle and cycle backgrounds.

 man/icewm-toolbar.pod |   2 +-
 man/icewmbg.pod       |  58 ++++++++--
 src/icewmbg.cc        | 285 +++++++++++++++++++++++++++++++++++++---------
 src/icewmbg_prefs.h   |  13 ++-
 4 files changed, 290 insertions(+), 68 deletions(-)

commit 30c573c6babdcdf4fbb432bdcd857f6fc716ceba
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 12 20:26:50 2018 +0200

    comma + backslash + newline continues a multi-value over multiple lines.

 src/wmmenu.cc   |  2 +-
 src/wmoption.cc |  2 +-
 src/yconfig.cc  | 11 ++++++++---
 3 files changed, 10 insertions(+), 5 deletions(-)

commit 3d714561384eb85969dd5b085bc89bbca5824d28
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 12 20:25:52 2018 +0200

    glob, hasglob

 src/upath.cc | 26 ++++++++++++++++++++++++--
 src/upath.h  | 11 ++++++++++-
 2 files changed, 34 insertions(+), 3 deletions(-)

commit 7e212ffd064770b137b763d4a5e67fddda56cdf1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Wed Sep 12 20:24:51 2018 +0200

    namespace, lineEnding, pastSpaces

 src/ascii.h | 26 ++++++++++++++++++++++++--
 1 file changed, 24 insertions(+), 2 deletions(-)

commit 47ff0502c3d21a402c528d89c552ae3feed61917
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Sep 11 18:37:32 2018 +0200

    update homepage URL

 po/ast.po | 2 +-
 po/be.po  | 2 +-
 po/bg.po  | 2 +-
 po/el.po  | 2 +-
 po/eo.po  | 2 +-
 po/fa.po  | 2 +-
 po/fi.po  | 2 +-
 po/lv.po  | 2 +-
 po/mk.po  | 2 +-
 po/nb.po  | 2 +-
 po/no.po  | 2 +-
 po/sl.po  | 2 +-
 po/tr.po  | 2 +-
 po/vi.po  | 2 +-
 14 files changed, 14 insertions(+), 14 deletions(-)

commit 2b970e8d02b4060f1c6a30ae1e51ac06bf19b21a
Author: David Medina <medipas@gmail.com>
Date:   Mon Aug 27 14:01:52 2018 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (464 of 464 strings)

 po/ca.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 7fe72cbc347bfc28e0d5fd986a85607d0dc7fff0
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Mon Aug 27 19:09:57 2018 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (464 of 464 strings)

 po/pt_BR.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit a46609eb7dc42fb37fee27ce4d8bdc53ae6756dc
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 9 14:42:05 2018 +0200

    fix #292

 src/wmmgr.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 49669caec7af29fcf977a07bf5d3a358a68f7942
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 9 09:47:20 2018 +0200

    Auto-adjust taskbar height to large task button fonts for issue #283.

 src/atasks.cc    | 46 ++++++++++++++++++++++++++++++++++++----------
 src/atasks.h     | 10 ++++++++++
 src/wmtaskbar.cc |  3 +--
 3 files changed, 47 insertions(+), 12 deletions(-)

commit 0a1bdbdf9707320bc3ce4aa693f9494156305660
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Sep 9 09:30:13 2018 +0200

    ice-wm.org #287

 CONTRIBUTING.md | 7 +++----
 README.md       | 7 +++----
 README.md.in    | 7 +++----
 doc/icewm.adoc  | 6 +++---
 icewm.lsm.in    | 2 +-
 icewm.spec.in   | 2 +-
 src/icehelp.cc  | 6 +++---
 src/wmapp.cc    | 2 +-
 8 files changed, 18 insertions(+), 21 deletions(-)

commit ebcd901da9298b0d5b580d84b56370b791458c7a
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sat Sep 8 10:48:54 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (464 of 464 strings)

 po/sk.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 0280df4fc182336022e3f234a3ada2488da4820d
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sat Sep 8 10:43:00 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 97.8% (454 of 464 strings)

 po/sk.po | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit a76a60abf54419dd7deed1aa041749738a4e3f29
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Sep 7 23:17:21 2018 +0200

    camelCase drew_icon.

 src/atasks.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit ff45b6b6d17b04d69265d5ece900ff09a5ef23e9
Author: ldarby2 <42494548+ldarby2@users.noreply.github.com>
Date:   Fri Sep 7 22:15:03 2018 +0100

    Don't waste taskbar space for window titles if there's no icon. (#294)

    * Don't waste taskbar space for window titles if there's no icon.

    To have no icon, set the winoption icon to e.g. NULL (any non
    existing path).  Useful if there are e.g. lots of xterms.

    * deleted pointless (and misleading) initialization

 src/atasks.cc | 5 +++--
 src/yicon.cc  | 4 +++-
 src/yicon.h   | 2 +-
 3 files changed, 7 insertions(+), 4 deletions(-)

commit d33d4b126d8063d9158779e9ea59ccd4d7e621c9
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Mon Aug 27 22:49:16 2018 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (464 of 464 strings)

 po/ja.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 8badee40e86b1f7ef8a069ee6a9c8f5c8e4a6bf3
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Mon Aug 27 15:45:58 2018 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (464 of 464 strings)

 po/nl.po | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit f6b12a7dc74a10ac8f5e396bc39e0d94647cc20f
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Thu Sep 6 22:18:53 2018 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (464 of 464 strings)

 po/da.po | 144 +++++++++++++++++++++++++++++------------------------------
 1 file changed, 72 insertions(+), 72 deletions(-)

commit 5ba43031b4b5bd529a6c7eeb0f20c984d1e00958
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Thu Sep 6 13:01:04 2018 -0600

    update po files

 po/ar.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/be.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/bg.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/ca.po     | 75 ++++++++++++++++++++++++++++++--------------------------
 po/cs.po     | 75 ++++++++++++++++++++++++++++++--------------------------
 po/da.po     | 75 ++++++++++++++++++++++++++++++--------------------------
 po/de.po     | 75 ++++++++++++++++++++++++++++++--------------------------
 po/el.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/en.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/es.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/fi.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/fr.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/he.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/hr.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/hu.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/icewm.pot | 73 +++++++++++++++++++++++++++++-------------------------
 po/id.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/it.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/ja.po     | 75 ++++++++++++++++++++++++++++++--------------------------
 po/ko.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/lt.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/lv.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/mk.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/nb.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/nl.po     | 75 ++++++++++++++++++++++++++++++--------------------------
 po/no.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/pl.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/pt_BR.po  | 75 ++++++++++++++++++++++++++++++--------------------------
 po/ro.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/ru.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/sk.po     | 75 ++++++++++++++++++++++++++++++--------------------------
 po/sl.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/sv.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/tr.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/uk.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/vi.po     | 71 ++++++++++++++++++++++++++++-------------------------
 po/zh_CN.po  | 71 ++++++++++++++++++++++++++++-------------------------
 po/zh_TW.po  | 71 ++++++++++++++++++++++++++++-------------------------
 38 files changed, 1461 insertions(+), 1271 deletions(-)

commit 6610af0ac091b4c3c6e054b84307729b0bfd70f9
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Thu Sep 6 13:00:36 2018 -0600

    add missing header file

 src/Makefile.am | 1 +
 1 file changed, 1 insertion(+)

commit 68a0cc01ffe51102cce75e3d638842b607e2a70b
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Sep 6 11:45:29 2018 +0200

    Use a different phrase for "Suspend system"

    Avoid translator's confusion with "interrupt"

 src/wmapp.cc    | 2 +-
 src/wmdialog.cc | 3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

commit 80725d826a756ffd5f2a2feacbc334dfcb14b39c
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Sep 5 16:53:40 2018 +0200

    Reformat, refactor, cleanup

 src/fdomenu.cc | 75 ++++++++++++++++++++++++------------------------------
 1 file changed, 33 insertions(+), 42 deletions(-)

commit 53ca2c548da544abf7beac7b89bddcc8147c88bd
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Sep 5 12:24:19 2018 +0200

    Use built-in translations for all sub-categories

 src/fdomenu.cc | 4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

commit ada0a33509a4e37c67f476a40230cb12bdf4ee7c
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Tue Sep 4 16:41:48 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 95.6% (443 of 463 strings)

 po/sk.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 3860d4061ae9b4f0613543de8170be6a578b8b1c
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Tue Sep 4 16:35:53 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 93.5% (433 of 463 strings)

 po/sk.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit ef37a044edb5f9825b4128fff6a738a0cc0f1b23
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Tue Sep 4 16:30:26 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 91.3% (423 of 463 strings)

 po/sk.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 4468952ce848e1b86520a2cf70da537bfa32bf9d
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Mon Sep 3 19:39:30 2018 +0000

    Translated using Weblate (German)

    Currently translated at 94.3% (437 of 463 strings)

 po/de.po | 28 ++++++++++++++--------------
 1 file changed, 14 insertions(+), 14 deletions(-)

commit 32c444270d2a700ae45bd20ffd43fbd5a34c5b7a
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Mon Sep 3 12:29:51 2018 +0000

    Translated using Weblate (German)

    Currently translated at 91.5% (424 of 463 strings)

 po/de.po | 130 +++++++++++++++++++++++------------------------------------
 1 file changed, 50 insertions(+), 80 deletions(-)

commit 33259b511e8a2003c8e827b7b8f6dd6547908bee
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Sun Sep 2 17:28:38 2018 +0000

    Translated using Weblate (Danish)

    Currently translated at 85.3% (395 of 463 strings)

 po/da.po | 14 ++++----------
 1 file changed, 4 insertions(+), 10 deletions(-)

commit 400c26e205b159ace843b42cea490920942b46ff
Merge: c219c01a 3e1ef697
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Sun Sep 2 17:27:28 2018 +0000

    Merge remote-tracking branch 'origin/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit c219c01a4f2b230e38e1bf915fe3ca7ca6d8d764
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Sun Sep 2 17:27:18 2018 +0000

    Translated using Weblate (Danish)

    Currently translated at 84.6% (392 of 463 strings)

 po/da.po | 134 +++++++++++++++++++++--------------------------------------
 1 file changed, 48 insertions(+), 86 deletions(-)

commit 3e1ef69748d4600e386ad4574bb3a9b8a8a0247a
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 2 19:24:54 2018 +0200

    Point-to-activate functionality also for horizontal quickswitch

    At least as long as the huge-icon mode is not enabled.

 src/wmswitch.cc | 52 +++++++++++++++++++++++++++++++++++-----------------
 1 file changed, 35 insertions(+), 17 deletions(-)

commit 5f523fd2ababfe565e92db14b7be22e00bda79c0
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Sep 2 12:06:59 2018 +0200

    Avoid painting over the edge in vertical quickswitch

 src/wmswitch.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit a92d97ad522c10dde8e8506f10d9287bcdf9f7a1
Author: Aleš Kastner <alkas@volny.cz>
Date:   Sun Sep 2 08:44:48 2018 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (463 of 463 strings)

 po/cs.po | 11 ++++-------
 1 file changed, 4 insertions(+), 7 deletions(-)

commit e945342e5747b8442ce3fb3296522dc4c1bbfd02
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sat Sep 1 11:50:25 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 89.2% (413 of 463 strings)

 po/sk.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 5565856ce0198d2016c49eb9abb2420be2b2b4bf
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sat Sep 1 11:43:11 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 87.0% (403 of 463 strings)

 po/sk.po | 22 +++++++++++-----------
 1 file changed, 11 insertions(+), 11 deletions(-)

commit 941d40afb8cb16d9c381af0f93ced7eff96d52ce
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Sep 1 09:17:43 2018 +0200

    Revert "Use nicer Unicode ellipsis instead of the improvised string"

    This reverts commit f688a0fda30ef8a1e67a3469df90d05cac2030b7.

    It can be done but becomes messy. May handle such thing via i18n later.

 src/mstring.cc | 3 ---
 src/wmprog.cc  | 5 ++---
 src/ypaint.cc  | 6 ++----
 3 files changed, 4 insertions(+), 10 deletions(-)

commit 865790a893286e679b966e5279124e449c6dd6a8
Merge: d2a60862 1623c4e1
Author: Code7R <Code7R@users.noreply.github.com>
Date:   Fri Aug 31 22:14:01 2018 +0200

    Merge pull request #293 from nikolas/spelling

    Fix a few spelling errors in icewm-preferences man page

commit d2a60862f8ea3be0ef4c82d85c8c543c50e45a17
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Aug 31 21:03:11 2018 +0200

    Better default size for vertical quickswitch

 src/wmswitch.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit f688a0fda30ef8a1e67a3469df90d05cac2030b7
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Aug 31 20:44:18 2018 +0200

    Use nicer Unicode ellipsis instead of the improvised string

 src/mstring.cc | 3 +++
 src/wmprog.cc  | 5 +++--
 src/ypaint.cc  | 6 ++++--
 3 files changed, 10 insertions(+), 4 deletions(-)

commit ad82289e3789f2c3c0245f7b524b89cd8ddcdc44
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Aug 31 16:11:33 2018 +0200

    Improve vert. wmswitch painting

    Now using menu item colors in the vertical wmswitch.
    With the colors from flat quickswitch it looked just too weird with most
    themes. Have been done so for years, since I introduced the vertial mode
    and have been too lazy to add custom options.

    Fixed space calculation and cleaned up a lot, needs less X calls in
    text-first mode.

 src/wmswitch.cc | 131 ++++++++++++++++++++++------------------------------
 src/wmswitch.h  |   7 ++-
 2 files changed, 61 insertions(+), 77 deletions(-)

commit 1623c4e1f72974c229dda29beec303398985a6e2
Author: Nikolas Nyby <nikolas@gnu.org>
Date:   Fri Aug 31 12:31:28 2018 -0400

    Fix a few spelling errors in icewm-preferences man page

 man/icewm-preferences.pod | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b4c786ff3332abda5d1f0f7075c8488ba74f489e
Merge: 42925cc6 8fba2b29
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Thu Aug 30 18:52:26 2018 +0000

    Merge remote-tracking branch 'origin/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 42925cc63db26109d61cf1f4d175729b56d77f6f
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Thu Aug 30 18:09:49 2018 +0000

    Translated using Weblate (German)

    Currently translated at 80.9% (375 of 463 strings)

 po/de.po | 58 +++++++++++++++++++++++++++-------------------------------
 1 file changed, 27 insertions(+), 31 deletions(-)

commit 8fba2b292d6d4affafec480131c4d53dc2b006b3
Author: Eduard Bloch <blade@debian.org>
Date:   Thu Aug 30 20:44:50 2018 +0200

    Also apply the taskBarUseMouseWheel setting to workspace pager

    Just like the suggested solution of issue #284 .

 src/aworkspaces.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit ec8ef3748bfb77c1816dec58dc95ef26635dccbe
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Thu Aug 30 17:47:03 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 84.8% (393 of 463 strings)

 po/sk.po | 42 +++++++++++++++++++++---------------------
 1 file changed, 21 insertions(+), 21 deletions(-)

commit b291c11bba8f4939e0a7010eca3dcee3f84360c1
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Thu Aug 30 19:30:50 2018 +0200

    Fix for wandering static gravity windows issue #291.

 src/wmframe.cc | 9 +++++++++
 1 file changed, 9 insertions(+)

commit 1f8d46b95476de192376f6d9848b96e7ae3e8e8b
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Thu Aug 30 17:25:27 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 80.5% (373 of 463 strings)

 po/sk.po | 82 ++++++++++++++++--------------------------------------------
 1 file changed, 21 insertions(+), 61 deletions(-)

commit 9a6fd2d726d68704c1424de26d3e947b2767ee9b
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Thu Aug 30 12:42:30 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 76.2% (353 of 463 strings)

 po/sk.po | 28 +++++++++++-----------------
 1 file changed, 11 insertions(+), 17 deletions(-)

commit 176567ef455c6426788a55353da5344345e7d028
Merge: 419a7c1a ef7e4b44
Author: openSUSE Weblate <weblate-noreply@opensuse.org>
Date:   Thu Aug 30 10:25:42 2018 +0000

    Merge remote-tracking branch 'origin/icewm-1-4-BRANCH' into
    icewm-1-4-BRANCH

commit 419a7c1a3c25d80fa1e53c9953daef72fa53d56c
Author: Aleš Kastner <alkas@volny.cz>
Date:   Thu Aug 30 09:50:51 2018 +0000

    Translated using Weblate (Czech)

    Currently translated at 99.3% (460 of 463 strings)

 po/cs.po | 227 ++++++++++++++++++++++++++---------------------------------
 1 file changed, 98 insertions(+), 129 deletions(-)

commit ef7e4b4447881e0cbea39b467a68e4d22c2dd64e
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Aug 29 17:15:37 2018 +0200

    Mouse-over (clickable item) indicator in quick-switch menu

 src/wmswitch.cc | 85 ++++++++++++++++++++++++++++++++---------------------
 src/wmswitch.h  |  5 ++--
 2 files changed, 55 insertions(+), 35 deletions(-)

commit 92a55e1dcb25bc53816f3593c7ae9eaef4c446e7
Author: Aleš Kastner <alkas@volny.cz>
Date:   Wed Aug 29 21:54:18 2018 +0000

    Translated using Weblate (Czech)

    Currently translated at 79.6% (369 of 463 strings)

 po/cs.po | 66 +++++++++++++++++++++++++-----------------------------------
 1 file changed, 27 insertions(+), 39 deletions(-)

commit dc3c957f80222dc90855c05ca370541fffcb2432
Author: Sarah Kriesch <ada.lovelace@gmx.de>
Date:   Wed Aug 29 15:38:18 2018 +0000

    Translated using Weblate (German)

    Currently translated at 76.2% (353 of 463 strings)

 po/de.po | 62 ++++++++++++++++++++++++------------------------------------
 1 file changed, 25 insertions(+), 37 deletions(-)

commit 2ec13853796b1bc0af4657e653f8c1fb38368299
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Aug 29 15:41:30 2018 +0200

    Make entries of vertical quickswitch clickable

 src/wmprog.cc   |  9 +++++++++
 src/wmswitch.cc | 48 ++++++++++++++++++++++++++++++++++++++----------
 src/wmswitch.h  |  9 +++++++--
 3 files changed, 54 insertions(+), 12 deletions(-)

commit 9372fdcdc2c78ef699af76a48541dfc26ab23bec
Author: Eduard Bloch <blade@debian.org>
Date:   Tue Aug 28 11:23:10 2018 +0200

    Canonical implementation is faulty with unsigned index variable

 src/ycollections.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6780ca25146ea3edb6756405c85622585adb30c1
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Mon Aug 27 22:49:08 2018 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (463 of 463 strings)

 po/ja.po | 288 +++++++++++++++++++++++++----------------------------------
 1 file changed, 120 insertions(+), 168 deletions(-)

commit 49762b49c2dce0b8f2776660ce8dfab03eb6f81e
Author: Luiz Fernando Ranghetti <elchevive68@gmail.com>
Date:   Mon Aug 27 19:09:39 2018 +0000

    Translated using Weblate (Portuguese (Brazil))

    Currently translated at 100.0% (463 of 463 strings)

 po/pt_BR.po | 312 ++++++++++++++++++++++++--------------------------------
 1 file changed, 134 insertions(+), 178 deletions(-)

commit f83d3d276743cb6d33913d1dddf2df118026f9e1
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Mon Aug 27 15:45:46 2018 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (463 of 463 strings)

 po/nl.po | 290 +++++++++++++++++++++++++----------------------------------
 1 file changed, 121 insertions(+), 169 deletions(-)

commit 6e1614317e4beb9fc384b2c800e64631955a9fa1
Author: David Medina <medipas@gmail.com>
Date:   Mon Aug 27 14:01:41 2018 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (463 of 463 strings)

 po/ca.po | 288 +++++++++++++++++++++++++----------------------------------
 1 file changed, 120 insertions(+), 168 deletions(-)

commit 5f3b110963ddeec7c54a34af4898e529e1c2f5bb
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Aug 27 14:02:18 2018 +0200

    Update translations with new menu string data

 po/ar.po     |  850 ++++++++++++++--
 po/be.po     |  834 +++++++++++++---
 po/bg.po     |  855 +++++++++++++++--
 po/ca.po     |  873 ++++++++++++++---
 po/cs.po     |  868 ++++++++++++++---
 po/da.po     |  872 ++++++++++++++---
 po/de.po     |  861 ++++++++++++++---
 po/el.po     |  853 ++++++++++++++--
 po/en.po     |  814 ++++++++++++++--
 po/es.po     |  868 ++++++++++++++---
 po/fi.po     |  829 ++++++++++++++--
 po/fr.po     |  860 ++++++++++++++---
 po/he.po     |  853 ++++++++++++++--
 po/hr.po     |  834 +++++++++++++---
 po/hu.po     |  861 ++++++++++++++---
 po/icewm.pot | 2826 +++++++++++++++++++++++++++---------------------------
 po/id.po     |  853 ++++++++++++++--
 po/it.po     |  856 ++++++++++++++---
 po/ja.po     |  873 ++++++++++++++---
 po/ko.po     |  856 ++++++++++++++---
 po/lt.po     |  859 ++++++++++++++---
 po/lv.po     |  829 ++++++++++++++--
 po/mk.po     |  829 ++++++++++++++--
 po/nb.po     |  834 +++++++++++++---
 po/nl.po     |  873 ++++++++++++++---
 po/no.po     |  834 +++++++++++++---
 po/pl.po     |  855 +++++++++++++++--
 po/pt_BR.po  |  856 ++++++++++++++---
 po/ro.po     |  834 +++++++++++++---
 po/ru.po     |  855 +++++++++++++++--
 po/sk.po     |  868 ++++++++++++++---
 po/sl.po     |  834 +++++++++++++---
 po/sv.po     |  860 ++++++++++++++---
 po/tr.po     |  830 +++++++++++++---
 po/uk.po     |  855 +++++++++++++++--
 po/vi.po     |  853 ++++++++++++++--
 po/zh_CN.po  |  856 ++++++++++++++---
 po/zh_TW.po  |  856 ++++++++++++++---
 38 files changed, 28952 insertions(+), 5367 deletions(-)

commit a460c2a95d8645497a6df6b16ba2106dd49a956f
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Aug 27 12:39:19 2018 +0200

    Fix static preordering or the main menu categories

    Also assign default icon string, avoiding the extra NULL check.

    For #263

 contrib/conv_cat.pl |  48 ++++----
 src/fdomenu.cc      |   3 +-
 src/fdospecgen.h    | 298 ++++++++++++++++++++++++++----------------------
 3 files changed, 186 insertions(+), 163 deletions(-)

commit 8836c8b830bd3789b6dfd3c2f0db55aaff3522d9
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Aug 26 12:21:08 2018 +0200

    For default distro config, save the prefs as delta in home directory

 src/wmprog.cc | 6 ++++++
 1 file changed, 6 insertions(+)

commit be2aefdfe3994e66f0717614f03a45632f40e37e
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 26 09:26:21 2018 +0200

    Titles for issue #289.

 src/wmprog.cc   | 5 ++---
 src/wmstatus.cc | 1 +
 src/wmswitch.cc | 1 +
 src/ymenu.cc    | 2 ++
 4 files changed, 6 insertions(+), 3 deletions(-)

commit ec6a9a7d6469728aad78ecc94a084fac3565d82b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 25 13:37:05 2018 +0200

    fix for temporary mstring expressions.

 src/yarray.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a015d34e49e7785eaadfce2973b4055e950a36b6
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 25 13:36:38 2018 +0200

    fix spelling

 CHANGES      | 6 +++---
 src/WinMgr.h | 2 +-
 src/aapm.cc  | 2 +-
 3 files changed, 5 insertions(+), 5 deletions(-)

commit 3ddbc27da999f5833cac444383fd43192c1f1206
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sat Aug 25 13:34:56 2018 +0200

    doc TaskBarUseMouseWheel

 doc/icewm.adoc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 8b6d6279591da01c497cb799af0859b74b48fe7a
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Aug 22 23:17:11 2018 +0200

    Added simplest icons for xrandr quickswitch menu

 lib/icons/setscreen12_32x32.png | Bin 0 -> 873 bytes
 lib/icons/setscreen1_32x32.png  | Bin 0 -> 375 bytes
 lib/icons/setscreen21_32x32.png | Bin 0 -> 830 bytes
 lib/icons/setscreen2_32x32.png  | Bin 0 -> 592 bytes
 4 files changed, 0 insertions(+), 0 deletions(-)

commit 2ad6b80a03993af95207033c6c70732098e20f4e
Author: Eduard Bloch <blade@debian.org>
Date:   Wed Aug 22 22:27:04 2018 +0200

    Various minor bugfixes on fdomenu

    Fix build with optional override of terminal emulator name
    Fix printing of separator after content
    Ensure printing of initial separator

 src/fdomenu.cc | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

commit 412dede33a2f735606ef0b93564320a515d1aba1
Author: jc sl <trcs@gmx.com>
Date:   Wed Aug 22 18:20:40 2018 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (345 of 345 strings)

 po/es.po | 98 ++++++++++++++++++++++++++++++------------------------------
 1 file changed, 49 insertions(+), 49 deletions(-)

commit ac2ce65a4d7a37197666b74b7a33334e48ccc503
Author: jc sl <trcs@gmx.com>
Date:   Wed Aug 22 17:38:07 2018 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (345 of 345 strings)

 po/es.po | 56 +++++++++++++++++++++++++-------------------------------
 1 file changed, 25 insertions(+), 31 deletions(-)

commit 6add69b3ac49f269295fc04100040d402fb57ff1
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Tue Aug 21 11:30:39 2018 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (345 of 345 strings)

 po/da.po | 38 ++++++++++++++++----------------------
 1 file changed, 16 insertions(+), 22 deletions(-)

commit 594e3869c84df4b8f9f958a9048dbd3db0dbf589
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Aug 20 08:56:16 2018 +0200

    Now correctly exported new FDO strings wit comments for l10n

    And explained the origin in the comment.

 contrib/conv_cat.pl |   6 +-
 po/icewm.pot        | 729 +++++++++++++++++++++++++++++++++++++++++++-----
 src/fdospecgen.h    | 236 ++++++++--------
 3 files changed, 778 insertions(+), 193 deletions(-)

commit 83fca10643e246317c95ecfedd5760b0d71926c9
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Aug 20 08:55:18 2018 +0200

    Align the use of xgettext in cmake with autoconf

    Or mostly so, a minor difference in the header remains, see comments.
    The merge of .po files is also not working, to be continued...

 po/CMakeLists.txt | 21 ++++++++++++---------
 po/POTFILES.in    |  2 ++
 2 files changed, 14 insertions(+), 9 deletions(-)

commit aabaa3325a305eee63540d1d3bbbdd011e9e46f7
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Aug 19 23:40:57 2018 +0200

    Added l10n request for the predefined category names

    With hints for translators to make the wording right.

    Also dropped GTK, Qt, etc. submenu creation because it looked too weird.

    For #263

 contrib/conv_cat.pl |    4 +-
 po/CMakeLists.txt   |    2 +-
 po/icewm.pot        | 2069 ++++++++++++++++++++++++-----------------------
 src/fdomenu.cc      |    4 +-
 src/fdospecgen.h    |  363 ++++++---
 5 files changed, 1278 insertions(+), 1164 deletions(-)

commit 24b8f213d210c7fc16fa8a9b0674e57aae48fa7b
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Aug 19 21:53:11 2018 +0200

    Update homepage url for issue #287.

 CONTRIBUTING.md | 6 +++---
 README.md       | 6 +++---
 README.md.in    | 6 +++---
 doc/icewm.adoc  | 4 ++--
 icewm.lsm.in    | 2 +-
 icewm.spec.in   | 2 +-
 src/icehelp.cc  | 6 +++---
 src/wmapp.cc    | 2 +-
 8 files changed, 17 insertions(+), 17 deletions(-)

commit dfded3ae57f64519d18202e9e461136542a9e204
Author: David Medina <medipas@gmail.com>
Date:   Sun Aug 19 19:45:32 2018 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (345 of 345 strings)

 po/ca.po | 38 ++++++++++++++++----------------------
 1 file changed, 16 insertions(+), 22 deletions(-)

commit ff317d3aa1016aa642551cbcaeac993e1a274d7a
Author: Aleš Kastner <alkas@volny.cz>
Date:   Sun Aug 19 18:25:53 2018 +0000

    Translated using Weblate (Czech)

    Currently translated at 100.0% (345 of 345 strings)

 po/cs.po | 38 ++++++++++++++++----------------------
 1 file changed, 16 insertions(+), 22 deletions(-)

commit 897e53c6f46d6e70e52797f99556aa4d18278ead
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Aug 19 17:52:14 2018 +0200

    Inject fdomenu output into root menu

    For #263

 lib/menu.in | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit aa6a26fa49d05dcdca6f16dc2f4b99a86f7ef2e2
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Aug 19 17:51:24 2018 +0200

    Make sure to set to root right when digging for categories

    For #263

 src/fdomenu.cc | 1 +
 1 file changed, 1 insertion(+)

commit 140b713eb46904fd5ea0461ded4b9d362f720600
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Aug 19 14:47:14 2018 +0200

    Added semi-automated handling of FDO subcategories

 contrib/conv_cat.pl |  65 +++++++++++++++++
 src/fdomenu.cc      | 182 +++++++++++++++++++++++++++++++---------------
 src/fdospecgen.h    | 190 ++++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 378 insertions(+), 59 deletions(-)

commit 7a23eecba39210f0b06d88d973343edb888ab1b6
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Aug 19 11:22:20 2018 +0200

    Little redesign for more OOP style

    Preparing for (efficient) subcategory handling

 src/fdomenu.cc | 528 ++++++++++++++++++++++++-----------------------------
 1 file changed, 241 insertions(+), 287 deletions(-)

commit e44a9c4b37555e7d58e2a9387feacffc40ac82f5
Author: Eduard Bloch <blade@debian.org>
Date:   Sat Aug 18 21:49:09 2018 +0200

    Use the supposedly better display name

 src/fdomenu.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit eec124e06e77c5b17d367482449d012cea7da6c3
Author: Freek de Kruijf <freek@opensuse.org>
Date:   Sun Aug 19 12:26:11 2018 +0000

    Translated using Weblate (Dutch)

    Currently translated at 100.0% (345 of 345 strings)

 po/nl.po | 38 ++++++++++++++++----------------------
 1 file changed, 16 insertions(+), 22 deletions(-)

commit e7f63a1b6cbc1b795fd51244077d8a8ce64cfb7e
Author: Ferdinand Galko <galko.ferdinand@gmail.com>
Date:   Sun Aug 19 10:49:48 2018 +0000

    Translated using Weblate (Slovak)

    Currently translated at 100.0% (345 of 345 strings)

 po/sk.po | 40 +++++++++++++++++-----------------------
 1 file changed, 17 insertions(+), 23 deletions(-)

commit 932ee28b9c53709108de39f19f6297beb9979031
Author: Yasuhiko Kamata <belphegor@belbel.or.jp>
Date:   Sun Aug 19 09:59:38 2018 +0000

    Translated using Weblate (Japanese)

    Currently translated at 100.0% (345 of 345 strings)

 po/ja.po | 40 +++++++++++++++++-----------------------
 1 file changed, 17 insertions(+), 23 deletions(-)

commit a9a2e10a63959603107a271fecd0ccaa21c1a782
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sun Aug 19 00:36:46 2018 -0600

    update po files

 po/ar.po     | 241 ++++++++++++++++++++++++++++++--------------------
 po/be.po     | 233 +++++++++++++++++++++++++++++--------------------
 po/bg.po     | 233 +++++++++++++++++++++++++++++--------------------
 po/ca.po     | 254 +++++++++++++++++++++++++++++++----------------------
 po/cs.po     | 250 +++++++++++++++++++++++++++++++---------------------
 po/da.po     | 262 +++++++++++++++++++++++++++++++++----------------------
 po/de.po     | 250 +++++++++++++++++++++++++++++++---------------------
 po/el.po     | 239 ++++++++++++++++++++++++++++++--------------------
 po/en.po     | 231 ++++++++++++++++++++++++++++--------------------
 po/es.po     | 250 +++++++++++++++++++++++++++++++---------------------
 po/fi.po     | 231 ++++++++++++++++++++++++++++--------------------
 po/fr.po     | 241 ++++++++++++++++++++++++++++++--------------------
 po/he.po     | 236 +++++++++++++++++++++++++++++--------------------
 po/hr.po     | 233 +++++++++++++++++++++++++++++--------------------
 po/hu.po     | 252 +++++++++++++++++++++++++++++++---------------------
 po/icewm.pot | 235 ++++++++++++++++++++++++++++---------------------
 po/id.po     | 239 ++++++++++++++++++++++++++++++--------------------
 po/it.po     | 250 +++++++++++++++++++++++++++++++---------------------
 po/ja.po     | 250 +++++++++++++++++++++++++++++++---------------------
 po/ko.po     | 250 +++++++++++++++++++++++++++++++---------------------
 po/lt.po     | 252 ++++++++++++++++++++++++++++++----------------------
 po/lv.po     | 231 ++++++++++++++++++++++++++++--------------------
 po/mk.po     | 231 ++++++++++++++++++++++++++++--------------------
 po/nb.po     | 233 +++++++++++++++++++++++++++++--------------------
 po/nl.po     | 250 +++++++++++++++++++++++++++++++---------------------
 po/no.po     | 231 ++++++++++++++++++++++++++++--------------------
 po/pl.po     | 241 ++++++++++++++++++++++++++++++--------------------
 po/pt_BR.po  | 250 +++++++++++++++++++++++++++++++---------------------
 po/ro.po     | 233 +++++++++++++++++++++++++++++--------------------
 po/ru.po     | 241 ++++++++++++++++++++++++++++++--------------------
 po/sk.po     | 250 +++++++++++++++++++++++++++++++---------------------
 po/sl.po     | 231 ++++++++++++++++++++++++++++--------------------
 po/sv.po     | 242 ++++++++++++++++++++++++++++++--------------------
 po/tr.po     | 240 +++++++++++++++++++++++++++++---------------------
 po/uk.po     | 241 ++++++++++++++++++++++++++++++--------------------
 po/vi.po     | 236 +++++++++++++++++++++++++++++--------------------
 po/zh_CN.po  | 250 +++++++++++++++++++++++++++++++---------------------
 po/zh_TW.po  | 250 +++++++++++++++++++++++++++++++---------------------
 38 files changed, 5457 insertions(+), 3736 deletions(-)

commit a3c0ae0936469fffe553c33d222041ccd3652bbb
Merge: 52c134e7 efb81cfd
Author: Brian Bidulock <bidulock@openss7.com>
Date:   Sun Aug 19 00:06:40 2018 -0600

    Merge pull request #282 from wongma7/win95-titlebar-menu-button

    Make win95 menu button bg color match titlebar's

commit 52c134e7a84f2511189b5e6043913a7251dd8394
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Sat Aug 18 23:58:55 2018 -0600

    fix issue #286

 man/icehelp.pod | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 0c9c9908f8261f296383cbdb8615f8000c021d46
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Fri Aug 17 02:33:04 2018 +0200

    new option TaskBarUseMouseWheel for issue #284.

 src/atasks.cc | 8 +++++---
 src/atray.cc  | 8 +++++---
 src/default.h | 2 ++
 3 files changed, 12 insertions(+), 6 deletions(-)

commit 937ed000ccac79d81f08ed003e7c0b9e70800368
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Aug 12 10:46:24 2018 +0200

    Considering of categories folders for icon source

    This is actually a stop-gap solution, ideally some context-awareness of
    the icon purpose should be added but that implies redesigning the cache
    handling a bit.

 src/yicon.cc | 44 +++++++++++++++++++++++++++++++-------------
 1 file changed, 31 insertions(+), 13 deletions(-)

commit 6b24d6a737a09bdff38fa3d465347ea2e7384999
Author: Eduard Bloch <blade@debian.org>
Date:   Sun Aug 12 08:37:58 2018 +0200

    Options to embed fdomenu nicely as regular contents

 src/fdomenu.cc | 89 +++++++++++++++++++++++++++++++++++++++---------------
 1 file changed, 64 insertions(+), 25 deletions(-)

commit b511fab841c77744f57afc9df26cd3401abbeee7
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Aug 10 14:09:11 2018 +0200

    Partial overhauling of fdomenu

    Use binary search for categories and allow more categories

    Also updated the list of Main categories to the current FDO spec.
    For bug #263.

    Consider multiple folders in XDG_DATA_HOME env

    Loading of extended attributes for category folder descriptions from
    .desktop files, and printing folder icon names where available.

    More smart processing of .desktop folders (skipping junk).

 src/fdomenu.cc | 810 ++++++++++++++++++++++++++++++++---------------------
 1 file changed, 486 insertions(+), 324 deletions(-)

commit efb81cfd9a30fa926f515a43aa81e81cb7fb8574
Author: Matthew Wong <mawong@redhat.com>
Date:   Sat Aug 11 15:36:53 2018 -0400

    Make win95 menu button bg color match titlebar's

 src/wmbutton.cc | 7 +++----
 1 file changed, 3 insertions(+), 4 deletions(-)

commit 8cf5e1fd539c094dbabed67478d09e76ad5a5e21
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Aug 10 14:08:07 2018 +0200

    Fixed a potentially endless recursion

    Basically checked against the algorithm by the book.
    Also added range lookup function probably needed in future.

 src/ycollections.cc | 12 ++++++++++++
 src/ycollections.h  | 51 ++++++++++++++++++++++++++++++++++++++++++-------
 2 files changed, 56 insertions(+), 7 deletions(-)

commit 939ca53ae3e5d9e4d02d3d31149bf66e6c3f6867
Author: Eduard Bloch <blade@debian.org>
Date:   Fri Aug 10 07:29:04 2018 +0200

    Enforcing valid combinations of image loaders

    In case pixbuf is selected manually, turn off other default selections.
    Also print more meaningfull error message in case of other bad
    situtations (lack of libs/headers).

 src/CMakeLists.txt | 73 +++++++++++++++++++++++++++++++-------------------
 1 file changed, 45 insertions(+), 28 deletions(-)

commit d86690abca39ee1744fa72a39668f0d740cb4c77
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Jun 4 22:15:11 2018 +0200

    Typo

 src/yximage.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b0755148ec4ed98a1446d57bac9cc704915eeda6
Author: Eduard Bloch <blade@debian.org>
Date:   Mon Jun 4 22:14:37 2018 +0200

    Adding potentially missing defines while looking for unexplainable behavior

 src/CMakeLists.txt | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

commit 3259b95e2e137878a1fac661efd4cd9c39ea5e94
Author: Ad Soyad <kalemlik100@yandex.com>
Date:   Fri Aug 3 19:10:40 2018 +0000

    Translated using Weblate (Turkish)

    Currently translated at 54.4% (183 of 336 strings)

 po/tr.po | 17 ++++++++++-------
 1 file changed, 10 insertions(+), 7 deletions(-)

commit f14cecfe2b635ae177a3493bd42cd4416c527945
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jul 29 20:43:55 2018 +0200

    Expand all tabs from pull request 279.

 src/wmmgr.cc     | 32 ++++++++++++++++----------------
 src/wmtaskbar.cc | 16 ++++++++--------
 2 files changed, 24 insertions(+), 24 deletions(-)

commit e7c0e7b34f01c2b6ba0d316a49674b33bc61fd42
Merge: 7a20a33c 049986e2
Author: Brian Bidulock <bidulock@openss7.com>
Date:   Sun Jul 15 03:28:16 2018 +0000

    Merge pull request #279 from jiribohac/icewm-1-4-BRANCH

    Allow switching and reordering taskbar buttons with keyboard.

commit 049986e27a427d2cdee2d38dc64c786fff37482e
Author: Jiri Bohac <jbohac@suse.cz>
Date:   Sat Jul 14 00:00:24 2018 +0200

    Allow switching and reordering taskbar buttons with keyboard.

    Since commit 556b5356 windows can be switched in taskbar order using
    the mouse wheel.
    They taskbar buttons can also be rearranged with drag and drop.

    This patch adds the possibility to perform these actions using the
    keyboard.

    This is a forward port of this old patch of mine:
    https://sourceforge.net/p/icewm/patches/193/

    The new keys are set as this by default:

            KeyTaskBarSwitchNext="Alt+1"
            KeyTaskBarSwitchPrev="Alt+grave"
            KeyTaskBarMoveNext="Alt+Shift+1"
            KeyTaskBarMovePrev="Alt+Shift+grave"

    I have been using this setup for over a decade now and find it very
    convenient
    that "grave" and "1" are next to each other and right above the tab key,
    so that both
    swithing methods Alt+Tab and Alt+1/grave are next to each other.

 src/atasks.cc    | 78 ++++++++++++++++++++++++++++++++++++++++++++--------
 src/atasks.h     |  6 ++++
 src/bindkey.h    |  8 ++++++
 src/default.h    |  4 +++
 src/wmmgr.cc     | 25 ++++++++++++++++-
 src/wmtaskbar.cc | 23 ++++++++++++++++
 src/wmtaskbar.h  |  4 +++
 7 files changed, 135 insertions(+), 13 deletions(-)

commit 7a20a33c50ca6c8b91b2ab048cf5a7e81a22e3c0
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 18 21:19:11 2018 +0200

    librsvg

 src/wmapp.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 51a04b1e3d95724dc0035d0d2e55b3cbb5088e52
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 18 21:18:20 2018 +0200

    After fullscreen ends do repaint clock immediately.

 src/aclock.cc | 7 +++++++
 src/aclock.h  | 1 +
 2 files changed, 8 insertions(+)

commit e7a18d73d868b39060be80d64c3029ae7508cac0
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Tue Jun 5 15:50:04 2018 -0600

    delete old

 src/ycollections.h | 2 ++
 1 file changed, 2 insertions(+)

commit 48ef78c865a59aba88b9b48e2c089518f7b1187f
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Tue Jun 5 15:45:15 2018 -0600

    much simpler support for svg

 configure.ac          |  5 +++++
 src/CMakeLists.txt    | 13 +++++++++++++
 src/config.cmake.h.in |  1 +
 src/yicon.cc          |  4 +---
 4 files changed, 20 insertions(+), 3 deletions(-)

commit 6011ab5befdf60d3349aff74cf9e72dbfa673c9e
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Tue Jun 5 15:12:28 2018 -0600

    remove warning on memmove

 src/ycollections.h | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

commit a486d96aeeb7dad9da45dbd8a97dac5140784a44
Merge: c7cfa6a6 2ea1f14c
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Tue Jun 5 14:45:49 2018 -0600

    Merge branch 'icewm-1-4-BRANCH' of github.com:bbidulock/icewm into
    icewm-1-4-BRANCH

commit c7cfa6a66ef2da0db6ee6db92ad85067cc61a373
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Tue Jun 5 14:45:34 2018 -0600

    Revert "support SVG icons for GDK-pixbuf and add --iconformats option."

    This reverts commit cbe949d1fe5570d5265d2a7e016b86e5b9ecdb1d.

 src/wmapp.cc      | 14 --------------
 src/yicon.cc      | 21 ++++++++++-----------
 src/yimage.h      |  3 ---
 src/yimage_gdk.cc | 21 ---------------------
 src/ymsgbox.cc    |  4 +---
 src/yprefs.h      |  2 +-
 src/yximage.cc    | 26 --------------------------
 7 files changed, 12 insertions(+), 79 deletions(-)

commit 11ee3cfad91c406a4c78420c7e27281d16300054
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Tue Jun 5 14:45:22 2018 -0600

    Revert "match is const."

    This reverts commit d68d0fbbadeba38da8773b9ddc7b2876c70a4883.

 src/mstring.cc | 2 +-
 src/mstring.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit a549f005166f2afcde4ca841a07b70bd643bafaa
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Tue Jun 5 14:45:00 2018 -0600

    Revert "keep --iconformats undocumented for now."

    This reverts commit 1ef85b0485d304814bf4180ff64fae2861da1124.

 src/wmapp.cc | 1 +
 1 file changed, 1 insertion(+)

commit 4943c045f3ca466c43f3bc6be8b152fa8391152e
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Tue Jun 5 14:43:20 2018 -0600

    Revert "yximage SVG by means of external converters (for the time being,
    until better solutions)."

    This reverts commit 3368e84e24618c9a1d3f85e3c4cac0afdcf08ca2.

 src/yximage.cc | 126 -----------------------------------------------------
 1 file changed, 126 deletions(-)

commit 2ea1f14cfa7e82510ff6f42d2195e79b39215553
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 5 22:18:20 2018 +0200

    Introduce abstract class Picturer to work around buggy vtable for CMake
    builds for issues #258 and #273.

 src/aclock.cc     |  2 +-
 src/aclock.h      |  7 ++++++-
 src/acpustatus.cc |  2 +-
 src/acpustatus.h  |  2 +-
 src/amemstatus.cc |  2 +-
 src/amemstatus.h  |  7 ++++++-
 src/applet.cc     | 17 ++++++++---------
 src/applet.h      | 10 ++++++++--
 src/apppstatus.cc |  2 +-
 src/apppstatus.h  |  2 +-
 10 files changed, 34 insertions(+), 19 deletions(-)

commit 2c6f83020ec664b4f57205886a19118a5408a732
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 5 22:17:31 2018 +0200

    Simply return the newly created icon instead of looking it up in the cache.

 src/yicon.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 4c5d879c4a5759fe532ec06151c9c9d3beb836b8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Tue Jun 5 22:16:41 2018 +0200

    Use the same source file grouping and ordering as in Makefile.am.
    Fix missing definition of CONFIG_XFREETYPE_VALUE.

 src/CMakeLists.txt | 28 ++++++++++++++++++----------
 1 file changed, 18 insertions(+), 10 deletions(-)

commit 708ac7fd504c6711df4cd02a6cab1ce86319bbd8
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 4 21:16:46 2018 +0200

    block SIGPIPE to safely write to socket to openssl for mailbox applet.

 src/yapp.cc | 1 +
 1 file changed, 1 insertion(+)

commit 3c47078ab505662283827bee1cc159896ca8c0f2
Author: scootergrisen <scootergrisen@gmail.com>
Date:   Mon Jun 4 07:21:44 2018 +0000

    Translated using Weblate (Danish)

    Currently translated at 100.0% (336 of 336 strings)

 po/da.po | 157 +++++++++++++++++++----------------------------------------
 1 file changed, 49 insertions(+), 108 deletions(-)

commit 3368e84e24618c9a1d3f85e3c4cac0afdcf08ca2
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Mon Jun 4 00:29:34 2018 +0200

    yximage SVG by means of external converters (for the time being, until
    better solutions).

 src/yximage.cc | 126 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 126 insertions(+)

commit 1ef85b0485d304814bf4180ff64fae2861da1124
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 3 23:02:39 2018 +0200

    keep --iconformats undocumented for now.

 src/wmapp.cc | 1 -
 1 file changed, 1 deletion(-)

commit d68d0fbbadeba38da8773b9ddc7b2876c70a4883
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 3 23:02:11 2018 +0200

    match is const.

 src/mstring.cc | 2 +-
 src/mstring.h  | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit cbe949d1fe5570d5265d2a7e016b86e5b9ecdb1d
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 3 14:46:26 2018 +0200

    support SVG icons for GDK-pixbuf and add --iconformats option.

 src/wmapp.cc      | 14 ++++++++++++++
 src/yicon.cc      | 21 +++++++++++----------
 src/yimage.h      |  3 +++
 src/yimage_gdk.cc | 21 +++++++++++++++++++++
 src/ymsgbox.cc    |  4 +++-
 src/yprefs.h      |  2 +-
 src/yximage.cc    | 26 ++++++++++++++++++++++++++
 7 files changed, 79 insertions(+), 12 deletions(-)

commit b867129ece891d45a557f6042afcc5588f0bb498
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 3 09:35:38 2018 +0200

    port to FreeBSD and OpenBSD

 configure.ac      |   4 +-
 src/acpustatus.cc | 104 +++++++++++++++++++++++++++++++++++++++-----------
 src/acpustatus.h  |   2 +-
 src/apppstatus.cc |  58 ++++++++++++++++++----------
 src/apppstatus.h  |   5 ++-
 5 files changed, 126 insertions(+), 47 deletions(-)

commit 3817103bae789b2bff7cf8c1bbe2255b60878ab3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 3 09:34:12 2018 +0200

    portability

 src/globit.c | 2 ++
 1 file changed, 2 insertions(+)

commit eb60f812840606f69a41b026a3ff9702df555f7c
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 3 09:33:53 2018 +0200

    cstring equality

 src/mstring.h | 3 +++
 1 file changed, 3 insertions(+)

commit 4fcc52db8dd1a55af80e1b8b11646762988426d3
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 3 09:33:26 2018 +0200

    close file before recursing

 src/wmmenu.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit b0d67bd8adf4a8808075890421547bbb694d7f93
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 3 09:33:12 2018 +0200

    portability

 src/upath.h | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit a1977829cf8be9334e56b460d19e12f9a3e5445f
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 3 09:30:50 2018 +0200

    fix getloadavg2

 src/CMakeLists.txt    | 2 +-
 src/config.cmake.h.in | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit dc18cd7c532282c314e42b158633cb833d1cf9fa
Author: Bert Gijsbers <gijsbers@science.uva.nl>
Date:   Sun Jun 3 09:21:34 2018 +0200

    Don't change workspace when clicking on About for issue #269.

 src/wmapp.cc | 2 ++
 1 file changed, 2 insertions(+)

commit c5fa2fa10edd3b6f3f75696141e1e6223efa2e3d
Author: David Medina <medipas@gmail.com>
Date:   Wed May 30 14:03:57 2018 +0000

    Translated using Weblate (Catalan)

    Currently translated at 100.0% (336 of 336 strings)

 po/ca.po | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c8b9f90465b3cf7270edef5be78b2cb550e19970
Merge: 03c34241 6958728d
Author: Brian Bidulock <bidulock@openss7.com>
Date:   Sat May 19 18:58:40 2018 -0600

    Merge pull request #233 from zhengqiang130/icewm-1-4-BRANCH

    Use ss instead of netstat in src/default.h

commit 6958728d4d98966d8f6bf31df126dc4003b50345
Merge: 0470318b 03c34241
Author: Brian Bidulock <bidulock@openss7.com>
Date:   Sat May 19 18:58:27 2018 -0600

    Merge branch 'icewm-1-4-BRANCH' into icewm-1-4-BRANCH

commit 03c3424193f110d136c133fccc4643dbae0398cf
Merge: 7a70e5b2 48e4dad7
Author: Brian Bidulock <bidulock@openss7.com>
Date:   Sat May 19 18:50:04 2018 -0600

    Merge pull request #272 from ddekany/pr-default-colors

    Weird title bar colors in the default theme

commit 7a70e5b26491aebdef06d930c8d1218e63b40d2b
Merge: 3a04e777 158e9407
Author: Brian Bidulock <bidulock@openss7.com>
Date:   Sat May 19 18:49:17 2018 -0600

    Merge pull request #271 from ddekany/pr-default-buttons

    Removed unwanted pixel from the corners of default theme buttons

commit 48e4dad70a173758a5f54cdbbee8efd4dd34c141
Author: ddekany <ddekany@apache.org>
Date:   Fri May 18 01:20:41 2018 +0200

    Decreased border size a bit. Looks less unbalanced with the new color.

 lib/themes/default/default.theme | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 50c273c73a7d94c7d7d3c22ed6226fd07e075964
Author: ddekany <ddekany@apache.org>
Date:   Fri May 18 00:47:58 2018 +0200

    Fixed weird title bar and header colors in default theme

 lib/themes/default/default.theme | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit 158e9407569f1a934d0af4d04e2871a251b6f7bc
Author: ddekany <ddekany@apache.org>
Date:   Fri May 18 00:39:33 2018 +0200

    Removed unwanted pixel from the corners

 lib/themes/default/closeA.xpm      | 4 ++--
 lib/themes/default/closeI.xpm      | 4 ++--
 lib/themes/default/menuButtonA.xpm | 4 ++--
 lib/themes/default/menuButtonI.xpm | 4 ++--
 4 files changed, 8 insertions(+), 8 deletions(-)

commit 3a04e777d715606c0209a92aa5f15d57b552f028
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 21:09:44 2018 -0600

    mention xde-menu utility

 README.md    |  7 ++++++-
 README.md.in | 40 +++++++++++++++++++++++-----------------
 2 files changed, 29 insertions(+), 18 deletions(-)

commit da195972e124eed199317f57981fafd8d300c4b4
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 21:05:02 2018 -0600

    get bbkeys from github

 README.md    | 5 ++---
 README.md.in | 5 ++---
 2 files changed, 4 insertions(+), 6 deletions(-)

commit e22413fbabee9089d504d85ec67d2176795511ab
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 21:01:53 2018 -0600

    remove wm-session section, correct reference links

 README.md.in | 100 +++++++++++++++++--------------------------------------
 1 file changed, 30 insertions(+), 70 deletions(-)

commit 9e8df7abb61657292b55ec6230f6eb6678acbd6b
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 21:01:34 2018 -0600

    remove deprecated wm-session section

 README.md | 66 +++++++++++++----------------------------------------------
 1 file changed, 14 insertions(+), 52 deletions(-)

commit 82e92b04edf1f20f02a0efa5434df07a0a61a097
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 20:56:18 2018 -0600

    silent build is default

 README.md | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 369dd2d326e5328da8241243085f443cc8305da1
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 20:53:08 2018 -0600

    simplfy quickstart build

 README.md    | 5 +----
 README.md.in | 4 +---
 2 files changed, 2 insertions(+), 7 deletions(-)

commit 6cfb7993bdec7940d1cd3d369d85217e6a11301a
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:43:54 2018 -0600

    remove redundant meaningless descriptions

 README.md    | 16 ++++++++--------
 README.md.in | 16 ++++++++--------
 2 files changed, 16 insertions(+), 16 deletions(-)

commit bea9543c6e0a80d3c8cf6e11c2ddfe0a9011fcd2
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:42:57 2018 -0600

    do not need libsndfile to build

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit 6c29b3b1fd9e216c293295e57eeeeee2f0b05d80
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:41:15 2018 -0600

    building from git does not require git

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit 746e19b2270d6628cf66d251d880763f46788f4d
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:39:48 2018 -0600

    users do not need to build releases

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit f7e8b1e59f3b0c9600caed6e44aa56a43a33e3cc
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:35:28 2018 -0600

    do not need xorg-mkfontdir to build

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit 46b9d4d5fb3e08357433f3554f6ef92a959f0f7a
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:34:51 2018 -0600

    automake, autopoint gettext part of complete autoconf toolchain

 README.md    | 3 +--
 README.md.in | 3 +--
 2 files changed, 2 insertions(+), 4 deletions(-)

commit a768d91577cefcbda638542a166c999cc39038c7
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:33:20 2018 -0600

    cannot have autoconf without having perl

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit 2f397518a4cc8e13eeba2bf53f841cce9f4b1add
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:32:54 2018 -0600

    do not need glib2 to compile

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit 0c22e23881b9e23b4cd2bffdaca73c6aa0432f84
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:32:30 2018 -0600

    do not need fribidi to compile

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit 8b21298778c97b4e4af7112156d34bccc470eb3b
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:32:06 2018 -0600

    do not need libsm to compile

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit e42dd3f4bad42f0e41bb6e1dde4fc9194a46ac51
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:31:33 2018 -0600

    cannot have libxft without libxrender

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit 79a1c004f2c83cbef5b0fc9e381be96757bda5fa
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:31:06 2018 -0600

    cannot have libxft without freetype2 and libpng

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit 2c6edaa00bf9e25fc734bfabbb0e67e300409323
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:30:10 2018 -0600

    do not need gdk-pixbuf2 (ximage rendering)

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit dec45b93977cbb4d18b60b8f9b5cb85c3940b911
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:29:05 2018 -0600

    cannot have libxft wihtout having fontconfig

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit 384c51f004d47d927389f461cda27a437077b2db
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:28:22 2018 -0600

    cannot have libxft wihtout having libxext

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit ada0a4e8c17de9d1b807b689f62bd3e09040b37b
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:27:53 2018 -0600

    cannot have libxft wihtout having libx11

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit 4d71175141cb35c9fcf695c79fa15e7168d1a869
Author: Brian Bidulock <bidulock@openss7.org>
Date:   Wed May 16 19:26:52 2018 -0600

    do not need libtool to compile from tarball

 README.md    | 1 -
 README.md.in | 1 -
 2 files changed, 2 deletions(-)

commit d3efbffdcfcffb381457b1855d2ce145a5109793
Author: Juan Sarria <juansarriam@gmail.com>
Date:   Wed May 16 19:56:08 2018 +0000

    Translated using Weblate (Spanish)

    Currently translated at 100.0% (336 of 336 strings)

 po/es.po | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit d2859a8b241f3e1190071df9afc2a084c559a676
Author: jc sl <trcs@gmx.com>
Date:   Tue May 15 19:38:00 2018 +0000

    Translated using Weblate (Spanish)

    Currently translated at 97.9% (329 of 336 strings)

 po/es.po | 26 ++++++++++----------------
 1 file changed, 10 insertions(+), 16 deletions(-)

commit a6fac572cb7a7b7b2fc9351fad8bf19f2726fce4
Author: Robert Taisz <robert.taisz@emerald.hu>
Date:   Tue May 15 17:41:12 2018 +0000

    Translated using Weblate (Hungarian)

    Currently translated at 100.0% (336 of 336 strings)

 po/hu.po | 38 ++++++++++++++++----------------------
 1 file changed, 16 insertions(+), 22 deletions(-)

commit 2d605baaabeebe91bfbd1218373355ce0de7fc85
Author: Grace Yu <grace.yu@excel-gits.com>
Date:   Mon May 14 07:32:21 2018 +0000

    Translated using Weblate (Chinese (Taiwan))

    Currently translated at 100.0% (336 of 336 strings)

 po/zh_TW.po | 38 ++++++++++++++++----------------------
 1 file changed, 16 insertions(+), 22 deletions(-)

commit 8bfb7585c77295a4791f12ba0f0c7f068e84991e
Author: Hwajin Kim <hwajin.kim@e4net.net>
Date:   Mon May 14 05:54:46 2018 +0000

    Translated using Weblate (Korean)

    Currently translated at 100.0% (336 of 336 strings)

 po/ko.po | 38 ++++++++++++++++----------------------
 1 file changed, 16 insertions(+), 22 deletions(-)

commit 7daedf3d012bbfdc573b621453b7af4d0daaacfe
Author: Eduard Bloch <blade@debian.org>
Date:   Sat May 12 17:23:44 2018 +0200

    [cmake] Restored icewmtray target

    Now optional via CONFIG_EXTERNAL_TRAY.

 src/CMakeLists.txt    | 11 +++++++----
 src/amailbox.cc       |  2 +-
 src/config.cmake.h.in |  1 +
 3 files changed, 9 insertions(+), 5 deletions(-)

commit 6d8e2757bf13bcfb5de38a78364531d4319e6251
Author: Eduard Bloch <blade@debian.org>
Date:   Sat May 12 17:20:11 2018 +0200

    Fix debug build

    Looks like cpuname is gone for good in the latest rewrites.

 src/acpustatus.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)
